<?php
namespace NCSUFaker;

use Faker\Provider\Base;

class LocationProvider extends Base
{
    protected $locations = array(
        '168' => array(
            'abrv' => '168',
            'display_name' => 'USDA Facility (Non-NCSU Bldg.)',
            'nicknames' => null,
            'facilities_id' => '168',
            'street' => 'Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        '61B' => array(
            'abrv' => '61B',
            'display_name' => 'Open Pole Equipment Shed',
            'nicknames' => null,
            'facilities_id' => '661B',
            'street' => '1775 State Road',
            'street_name' => 'State Road',
            'city' => 'Raleigh',
            'zip' => '27610',
        ),
        'ABB' => array(
            'abrv' => 'ABB',
            'display_name' => 'Corporate Research I',
            'nicknames' => array(0 => 'Research 1', 1 => 'Research I',),
            'facilities_id' => '781A',
            'street' => '1021 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ABP' => array(
            'abrv' => 'ABP',
            'display_name' => 'Corp.Research I Parking Deck',
            'nicknames' => null,
            'facilities_id' => '781B',
            'street' => '1021 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ADB' => array(
            'abrv' => 'ADB',
            'display_name' => 'Aqua Demo Bldg UFL 640',
            'nicknames' => null,
            'facilities_id' => '640',
            'street' => '1310 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AE1' => array(
            'abrv' => 'AE1',
            'display_name' => 'Applied Energy Research Lab I',
            'nicknames' => null,
            'facilities_id' => '169A',
            'street' => '3237 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'AE2' => array(
            'abrv' => 'AE2',
            'display_name' => 'Applied Energy Research Lab II',
            'nicknames' => null,
            'facilities_id' => '169B',
            'street' => '3239 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'AEX' => array(
            'abrv' => 'AEX',
            'display_name' => 'Alexander Hall',
            'nicknames' => null,
            'facilities_id' => '97',
            'street' => '2700 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'AFA' => array(
            'abrv' => 'AFA',
            'display_name' => 'Avent Ferry Residence Hall A',
            'nicknames' => null,
            'facilities_id' => '271A',
            'street' => '2110 Avent Ferry Road',
            'street_name' => 'Avent Ferry Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AFB' => array(
            'abrv' => 'AFB',
            'display_name' => 'Avent Ferry Residence Hall B',
            'nicknames' => null,
            'facilities_id' => '271B',
            'street' => '2110 Avent Ferry Road',
            'street_name' => 'Avent Ferry Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AFC' => array(
            'abrv' => 'AFC',
            'display_name' => 'Avent Ferry C-Magnolia Cottage',
            'nicknames' => null,
            'facilities_id' => '271C',
            'street' => '2106 Avent Ferry Road',
            'street_name' => 'Avent Ferry Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AFD' => array(
            'abrv' => 'AFD',
            'display_name' => 'Avent Ferry Residence Hall D',
            'nicknames' => null,
            'facilities_id' => '271D',
            'street' => '2112 Avent Ferry Road',
            'street_name' => 'Avent Ferry Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AFE' => array(
            'abrv' => 'AFE',
            'display_name' => 'Avent Ferry Residence Hall E',
            'nicknames' => null,
            'facilities_id' => '271E',
            'street' => '2112 Avent Ferry Road',
            'street_name' => 'Avent Ferry Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AFF' => array(
            'abrv' => 'AFF',
            'display_name' => 'Avent Ferry Residence Hall F',
            'nicknames' => null,
            'facilities_id' => '271F',
            'street' => '2112 Avent Ferry Road',
            'street_name' => 'Avent Ferry Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AFG' => array(
            'abrv' => 'AFG',
            'display_name' => 'Alternative Fuels Garage',
            'nicknames' => null,
            'facilities_id' => '242B',
            'street' => '1201 1201 Gorman Street',
            'street_name' => 'Gorman Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AFH' => array(
            'abrv' => 'AFH',
            'display_name' => ' Avent Ferry Technology Center',
            'nicknames' => array(0 => 'Avent Ferry lab',),
            'facilities_id' => '272',
            'street' => '2114 Avent Ferry Road',
            'street_name' => 'Avent Ferry Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AFL' => array(
            'abrv' => 'AFL',
            'display_name' => 'Aquatic Research Fish Lab',
            'nicknames' => null,
            'facilities_id' => '163D',
            'street' => '3229 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'AGX' => array(
            'abrv' => 'AGX',
            'display_name' => '3709 Hillsborough Street',
            'nicknames' => null,
            'facilities_id' => '138',
            'street' => '3709 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'AHS' => array(
            'abrv' => 'AHS',
            'display_name' => 'Arboretum-Hfl Support Building',
            'nicknames' => null,
            'facilities_id' => '446A',
            'street' => '4401 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AL' => array(
            'abrv' => 'AL',
            'display_name' => 'Winslow Hall',
            'nicknames' => null,
            'facilities_id' => '004',
            'street' => '40 Pullen Drive',
            'street_name' => 'Pullen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'ALC' => array(
            'abrv' => 'ALC',
            'display_name' => 'Dorothy and Roy Park Alumni Center',
            'nicknames' => array(0 => 'Alumni Center',),
            'facilities_id' => '786A',
            'street' => '2450 Alumni Drive',
            'street_name' => 'Alumni Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AR1' => array(
            'abrv' => 'AR1',
            'display_name' => 'Air Resources Research',
            'nicknames' => null,
            'facilities_id' => '246A',
            'street' => '1509 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ARC' => array(
            'abrv' => 'ARC',
            'display_name' => '3115 Western Boulevard (Former',
            'nicknames' => null,
            'facilities_id' => '140A',
            'street' => '3115 3115 Western Boulevard',
            'street_name' => 'Western Boulevard',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ARR' => array(
            'abrv' => 'ARR',
            'display_name' => 'Arboretum Restrooms',
            'nicknames' => null,
            'facilities_id' => '410',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AS3' => array(
            'abrv' => 'AS3',
            'display_name' => 'Administrative Services III',
            'nicknames' => array(0 => 'Admin 3', 1 => 'Admin Services 3', 2 => 'Administrative Services 3',),
            'facilities_id' => '215',
            'street' => '2701 Sullivan Drive',
            'street_name' => 'Sullivan Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'ASB' => array(
            'abrv' => 'ASB',
            'display_name' => 'Aluminum Storage Bldg',
            'nicknames' => null,
            'facilities_id' => '347',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ASC' => array(
            'abrv' => 'ASC',
            'display_name' => 'Administrative Services II',
            'nicknames' => array(
                0 => 'Admin 2',
                1 => 'Admin Services 2',
                2 => 'Admin Services II',
                3 => 'Administrative Services 2',
            ),
            'facilities_id' => '121',
            'street' => '2711 Sullivan Drive',
            'street_name' => 'Sullivan Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'ASO' => array(
            'abrv' => 'ASO',
            'display_name' => 'Arboretum-Support Office Bldg',
            'nicknames' => null,
            'facilities_id' => '446C',
            'street' => '3255 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'AZH' => array(
            'abrv' => 'AZH',
            'display_name' => 'Arboretum-Zone 8 House',
            'nicknames' => null,
            'facilities_id' => '446B',
            'street' => '4421 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'B85' => array(
            'abrv' => 'B85',
            'display_name' => 'Bragaw Substation(Not A Buildi',
            'nicknames' => null,
            'facilities_id' => '085',
            'street' => '2921 Thurman Drive',
            'street_name' => 'Thurman Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BAG' => array(
            'abrv' => 'BAG',
            'display_name' => 'Bagwell Residence Hall',
            'nicknames' => array(0 => 'Bagwell',),
            'facilities_id' => '109',
            'street' => '2201 Dunn Avenue',
            'street_name' => 'Dunn Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BB' => array(
            'abrv' => 'BB',
            'display_name' => 'Dail Basketball Practice Facility',
            'nicknames' => array(0 => 'Basketball Facility', 1 => 'Dail Basketball Center',),
            'facilities_id' => '',
            'street' => '2500 Warren Carroll Drive',
            'street_name' => 'Warren Carroll Drive',
            'city' => 'Raleigh',
            'zip' => '',
        ),
        'BEC' => array(
            'abrv' => 'BEC',
            'display_name' => 'Becton Residence Hall',
            'nicknames' => array(0 => 'Becton',),
            'facilities_id' => '107',
            'street' => '2231 Dunn Avenue',
            'street_name' => 'Dunn Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BER' => array(
            'abrv' => 'BER',
            'display_name' => 'Berry Residence Hall',
            'nicknames' => array(0 => 'Berry',),
            'facilities_id' => '108',
            'street' => '2211 Dunn Avenue',
            'street_name' => 'Dunn Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BH2' => array(
            'abrv' => 'BH2',
            'display_name' => '512 Brickhaven Drive',
            'nicknames' => null,
            'facilities_id' => '449B',
            'street' => '512 Brickhaven Drive',
            'street_name' => 'Brickhaven Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'BH3' => array(
            'abrv' => 'BH3',
            'display_name' => '520 Brickhaven Drive',
            'nicknames' => null,
            'facilities_id' => '449C',
            'street' => '520 520 Brickhaven Drive',
            'street_name' => 'Brickhaven Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'BH4' => array(
            'abrv' => 'BH4',
            'display_name' => '520 Brickhaven Metal Shed 40x7',
            'nicknames' => null,
            'facilities_id' => '449D',
            'street' => '520 Brickhaven Drive',
            'street_name' => 'Brickhaven Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'BH5' => array(
            'abrv' => 'BH5',
            'display_name' => '520 Brickhaven Storage Shed 16',
            'nicknames' => null,
            'facilities_id' => '449E',
            'street' => '520 Brickhaven Drive',
            'street_name' => 'Brickhaven Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'BHD' => array(
            'abrv' => 'BHD',
            'display_name' => '516 Brickhaven Drive',
            'nicknames' => null,
            'facilities_id' => '449A',
            'street' => '516 Brickhaven Drive',
            'street_name' => 'Brickhaven Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'BHR' => array(
            'abrv' => 'BHR',
            'display_name' => 'Bird House Raptor Ctr',
            'nicknames' => null,
            'facilities_id' => '337',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'BI' => array(
            'abrv' => 'BI',
            'display_name' => 'Biltmore Hall',
            'nicknames' => null,
            'facilities_id' => '113',
            'street' => '2820 Faucette Drive',
            'street_name' => 'Faucette Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BKS' => array(
            'abrv' => 'BKS',
            'display_name' => 'NCSU Bookstores',
            'nicknames' => array(0 => 'Bookstore',),
            'facilities_id' => '098',
            'street' => '2521 Dunn Avenue',
            'street_name' => 'Dunn Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BM' => array(
            'abrv' => 'BM',
            'display_name' => 'Bureau of Mines',
            'nicknames' => null,
            'facilities_id' => '053',
            'street' => '2500 Yarbrough Drive',
            'street_name' => 'Yarbrough Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BOS' => array(
            'abrv' => 'BOS',
            'display_name' => 'Bostian Hall',
            'nicknames' => null,
            'facilities_id' => '067A',
            'street' => '2721 Pillsbury Circle',
            'street_name' => 'Pillsbury Circle',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BOW' => array(
            'abrv' => 'BOW',
            'display_name' => 'Bowen Hall',
            'nicknames' => null,
            'facilities_id' => '95',
            'street' => '2821 Thurman Drive',
            'street_name' => 'Thurman Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BPS' => array(
            'abrv' => 'BPS',
            'display_name' => 'Booster Pump Station',
            'nicknames' => null,
            'facilities_id' => '170A',
            'street' => '3051 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BR' => array(
            'abrv' => 'BR',
            'display_name' => 'Broughton Hall',
            'nicknames' => null,
            'facilities_id' => '51',
            'street' => '2601 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BRA' => array(
            'abrv' => 'BRA',
            'display_name' => 'Bragaw Residence Hall',
            'nicknames' => array(0 => 'Bragaw',),
            'facilities_id' => '88',
            'street' => '210 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BRC' => array(
            'abrv' => 'BRC',
            'display_name' => 'Biological Resources Facility',
            'nicknames' => null,
            'facilities_id' => '072',
            'street' => '2761 Pillsbury Circle',
            'street_name' => 'Pillsbury Circle',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BRF' => array(
            'abrv' => 'BRF',
            'display_name' => 'Brick Research Facility',
            'nicknames' => null,
            'facilities_id' => '162B',
            'street' => '3223 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BRKY' => array(
            'abrv' => 'BRKY',
            'display_name' => 'The Brickyard',
            'nicknames' => array(0 => 'Brickyard',),
            'facilities_id' => '',
            'street' => '',
            'street_name' => '',
            'city' => '',
            'zip' => '',
        ),
        'BRR' => array(
            'abrv' => 'BRR',
            'display_name' => '1528 Blue Ridge Road(1500)',
            'nicknames' => null,
            'facilities_id' => '317A',
            'street' => '1528 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BS' => array(
            'abrv' => 'BS',
            'display_name' => 'Brooks Hall',
            'nicknames' => null,
            'facilities_id' => '011',
            'street' => '50 Pullen Drive',
            'street_name' => 'Pullen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BTC' => array(
            'abrv' => 'BTC',
            'display_name' => 'Biomanufacturing Training and Education Center',
            'nicknames' => array(0 => 'BTEC',),
            'facilities_id' => '762',
            'street' => '850 Oval Drive',
            'street_name' => 'Oval Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'BU' => array(
            'abrv' => 'BU',
            'display_name' => 'Burlington Nuclear Labs',
            'nicknames' => array(0 => 'Burlington', 1 => 'Nuclear Lab',),
            'facilities_id' => '42',
            'street' => '2500 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'BUT' => array(
            'abrv' => 'BUT',
            'display_name' => 'Butler Communications Bldg.',
            'nicknames' => array(0 => 'Butler', 1 => 'Butler Comm Building',),
            'facilities_id' => '128',
            'street' => '3210 Faucette Drive',
            'street_name' => 'Faucette Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'c00' => array(
            'abrv' => 'c00',
            'display_name' => 'Centennial Gateway(Monument)',
            'nicknames' => null,
            'facilities_id' => '200',
            'street' => 'Western Boulevard',
            'street_name' => 'Western Boulevard',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CAC' => array(
            'abrv' => 'CAC',
            'display_name' => 'Case Academic Center',
            'nicknames' => array(0 => 'Case', 1 => 'Case Dining Hall', 2 => 'Dining Hall',),
            'facilities_id' => '103',
            'street' => '240 Jeter Drive',
            'street_name' => 'Jeter Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CAH' => array(
            'abrv' => 'CAH',
            'display_name' => 'Cates Ave Steam Plant',
            'nicknames' => null,
            'facilities_id' => '086',
            'street' => '2811 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CAL' => array(
            'abrv' => 'CAL',
            'display_name' => 'Caldwell Hall',
            'nicknames' => null,
            'facilities_id' => '025',
            'street' => '2221 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CAR' => array(
            'abrv' => 'CAR',
            'display_name' => 'Carroll Hall',
            'nicknames' => null,
            'facilities_id' => '93',
            'street' => '2801 Thurman Drive',
            'street_name' => 'Thurman Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CCI' => array(
            'abrv' => 'CCI',
            'display_name' => 'Centennial Campus Information Booth',
            'nicknames' => null,
            'facilities_id' => '717',
            'street' => '1702 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'CCIC' => array(
            'abrv' => 'CCIC',
            'display_name' => 'Innovation Cafe',
            'nicknames' => array(0 => 'Centennial Campus Cafe', 1 => 'Centennial Campus Innovation Cafe',),
            'facilities_id' => '',
            'street' => '850 Oval Drive',
            'street_name' => 'Oval Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CCK' => array(
            'abrv' => 'CCK',
            'display_name' => 'Es King Village Commons',
            'nicknames' => null,
            'facilities_id' => '127R',
            'street' => '3824 3824 Jackson Street',
            'street_name' => 'Jackson Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CF1' => array(
            'abrv' => 'CF1',
            'display_name' => 'Carter Finley Stadium',
            'nicknames' => array(0 => 'Carter Finley', 1 => 'Football', 2 => 'Football Stadium',),
            'facilities_id' => '135',
            'street' => '4600 Trinity Road',
            'street_name' => 'Trinity Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CG' => array(
            'abrv' => 'CG',
            'display_name' => 'Carmichael Gym',
            'nicknames' => array(0 => 'Carmichael', 1 => 'Gym',),
            'facilities_id' => '101',
            'street' => '2611 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CG1' => array(
            'abrv' => 'CG1',
            'display_name' => 'Chancellors Garage',
            'nicknames' => null,
            'facilities_id' => '001A',
            'street' => '1903 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CGA' => array(
            'abrv' => 'CGA',
            'display_name' => 'Carmichael Recreation Center',
            'nicknames' => array(0 => 'Carmichael Rec', 1 => 'Gym', 2 => 'Rec Center',),
            'facilities_id' => '101C',
            'street' => '410 410 Morrill Drive',
            'street_name' => 'Morrill Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CH1' => array(
            'abrv' => 'CH1',
            'display_name' => '2319 1/2 Champion Court',
            'nicknames' => null,
            'facilities_id' => '280A',
            'street' => '2319 1 Champion Court',
            'street_name' => 'Champion Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'CH2' => array(
            'abrv' => 'CH2',
            'display_name' => '2355 1/2 Champion Court',
            'nicknames' => null,
            'facilities_id' => '280B',
            'street' => '2355 1 2355 1/2 Champion Court',
            'street_name' => '/2 Champion Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'CHA' => array(
            'abrv' => 'CHA',
            'display_name' => 'Chancellor Residence',
            'nicknames' => null,
            'facilities_id' => '001',
            'street' => '1903 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CHB' => array(
            'abrv' => 'CHB',
            'display_name' => 'Cherry Building',
            'nicknames' => null,
            'facilities_id' => '755D',
            'street' => '715 Barbour Drive',
            'street_name' => 'Barbour Drive',
            'city' => 'Raleigh',
            'zip' => '27603',
        ),
        'CHE' => array(
            'abrv' => 'CHE',
            'display_name' => 'CVM Chemical Storage Building',
            'nicknames' => null,
            'facilities_id' => '323',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'CHI' => array(
            'abrv' => 'CHI',
            'display_name' => 'Clark Hall',
            'nicknames' => array(0 => 'Clark', 1 => 'Clark Dining Hall', 2 => 'Dining Hall',),
            'facilities_id' => '106',
            'street' => '221 Jensen Drive',
            'street_name' => 'Jensen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CHS' => array(
            'abrv' => 'CHS',
            'display_name' => 'Chemistry Storage',
            'nicknames' => null,
            'facilities_id' => '248',
            'street' => '1509 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'CMA' => array(
            'abrv' => 'CMA',
            'display_name' => 'Center for Marine Science and Technology',
            'nicknames' => array(0 => 'CMAST',),
            'facilities_id' => '874A',
            'street' => '303 College Circle',
            'street_name' => 'College Circle',
            'city' => 'Morehead City',
            'zip' => '28557',
        ),
        'COB' => array(
            'abrv' => 'COB',
            'display_name' => 'Council Building',
            'nicknames' => null,
            'facilities_id' => '755C',
            'street' => '701 Barbour Drive',
            'street_name' => 'Barbour Drive',
            'city' => 'Raleigh',
            'zip' => '27603',
        ),
        'COL' => array(
            'abrv' => 'COL',
            'display_name' => 'Reynolds Coliseum',
            'nicknames' => array(
                0 => 'Athletics',
                1 => 'Basketball',
                2 => 'Concert',
                3 => 'Reynolds',
                4 => 'William Neal Reynolds Coliseum',
            ),
            'facilities_id' => '100',
            'street' => '2411 Dunn Avenue',
            'street_name' => 'Dunn Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'COO' => array(
            'abrv' => 'COO',
            'display_name' => 'Walk-In Cooler UFL 47',
            'nicknames' => null,
            'facilities_id' => '407',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'COX' => array(
            'abrv' => 'COX',
            'display_name' => 'Cox Hall',
            'nicknames' => null,
            'facilities_id' => '055',
            'street' => '2700 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CP' => array(
            'abrv' => 'CP',
            'display_name' => 'Cont Plant Bld UFL 437',
            'nicknames' => null,
            'facilities_id' => '437',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'CRA' => array(
            'abrv' => 'CRA',
            'display_name' => 'CVM Research Building',
            'nicknames' => array(0 => 'Vet school research', 1 => 'Vet school research building',),
            'facilities_id' => '300A',
            'street' => '1051 William Moore Drive',
            'street_name' => 'William Moore Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CRS' => array(
            'abrv' => 'CRS',
            'display_name' => 'CALS Record Storage',
            'nicknames' => null,
            'facilities_id' => '163E',
            'street' => '3231 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CSA' => array(
            'abrv' => 'CSA',
            'display_name' => 'Chemical Storage Unit @ Dabney',
            'nicknames' => null,
            'facilities_id' => '054A',
            'street' => '2620 Yarbrough Drive',
            'street_name' => 'Yarbrough Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CSB' => array(
            'abrv' => 'CSB',
            'display_name' => 'Creative Services Building',
            'nicknames' => array(0 => 'Creative Services',),
            'facilities_id' => '131',
            'street' => '1220 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'CSU' => array(
            'abrv' => 'CSU',
            'display_name' => 'Chemical Storage Unit @ Scott',
            'nicknames' => null,
            'facilities_id' => '068A',
            'street' => '2711 Founders Drive',
            'street_name' => 'Founders Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'CTP' => array(
            'abrv' => 'CTP',
            'display_name' => 'Centen.Campus Central Utility',
            'nicknames' => null,
            'facilities_id' => '705A',
            'street' => '830 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'CWP' => array(
            'abrv' => 'CWP',
            'display_name' => 'Chilled Water Central Plant',
            'nicknames' => null,
            'facilities_id' => '029B',
            'street' => '2411 Yarbrough Drive',
            'street_name' => 'Yarbrough Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DAB' => array(
            'abrv' => 'DAB',
            'display_name' => 'Dabney Hall',
            'nicknames' => null,
            'facilities_id' => '054',
            'street' => '2620 Yarbrough Drive',
            'street_name' => 'Yarbrough Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DAN' => array(
            'abrv' => 'DAN',
            'display_name' => 'Daniels Hall',
            'nicknames' => null,
            'facilities_id' => '38',
            'street' => '111 Lampe Drive',
            'street_name' => 'Lampe Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DC' => array(
            'abrv' => 'DC',
            'display_name' => 'David Clark Labs',
            'nicknames' => array(0 => 'David Clark',),
            'facilities_id' => '075',
            'street' => '100 Eugene Brooks Avenue',
            'street_name' => 'Eugene Brooks Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DCA' => array(
            'abrv' => 'DCA',
            'display_name' => 'David Clark Labs Addition',
            'nicknames' => null,
            'facilities_id' => '075A',
            'street' => '100 Eugene Brooks Avenue',
            'street_name' => 'Eugene Brooks Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DCF' => array(
            'abrv' => 'DCF',
            'display_name' => 'NC State University Child Care Center ',
            'nicknames' => null,
            'facilities_id' => '755E',
            'street' => '691 Palmer Drive ',
            'street_name' => 'Palmer Drive ',
            'city' => 'Raleigh',
            'zip' => '27603',
        ),
        'DEA' => array(
            'abrv' => 'DEA',
            'display_name' => 'Dearstyne Avian Health Center',
            'nicknames' => null,
            'facilities_id' => '164A',
            'street' => '3221 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DEB' => array(
            'abrv' => 'DEB',
            'display_name' => 'Dearstyne Isol Units',
            'nicknames' => null,
            'facilities_id' => '164B',
            'street' => '3221 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DEC' => array(
            'abrv' => 'DEC',
            'display_name' => 'Dearstyne Entomology Bldg',
            'nicknames' => null,
            'facilities_id' => '164C',
            'street' => '3230 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DHN' => array(
            'abrv' => 'DHN',
            'display_name' => 'DH Hill New Bookstack',
            'nicknames' => array(0 => 'D.H. Hill', 1 => 'DH Hill', 2 => 'Library',),
            'facilities_id' => '047C',
            'street' => '2 Broughton Drive',
            'street_name' => 'Broughton Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DIN' => array(
            'abrv' => 'DIN',
            'display_name' => 'Fountain Dining Hall',
            'nicknames' => array(0 => 'Dining Hall', 1 => 'Fountain',),
            'facilities_id' => '082',
            'street' => '2520 Sullivan Drive',
            'street_name' => 'Sullivan Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DLH' => array(
            'abrv' => 'DLH',
            'display_name' => 'D.H. Hill (Old Bookstacks)',
            'nicknames' => array(0 => 'Gardner',),
            'facilities_id' => '047B',
            'street' => '2 Broughton Drive',
            'street_name' => 'Broughton Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DRF' => array(
            'abrv' => 'DRF',
            'display_name' => 'Daylight Research Facility',
            'nicknames' => null,
            'facilities_id' => '162',
            'street' => '3233 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DSB' => array(
            'abrv' => 'DSB',
            'display_name' => 'Dearstyne Storage Bldg',
            'nicknames' => null,
            'facilities_id' => '164D',
            'street' => '3221 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'DSW' => array(
            'abrv' => 'DSW',
            'display_name' => 'Weaver Labs',
            'nicknames' => array(0 => 'Weaver',),
            'facilities_id' => '117',
            'street' => '3110 Faucette Drive',
            'street_name' => 'Faucette Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'EB1' => array(
            'abrv' => 'EB1',
            'display_name' => 'Engineering Building I',
            'nicknames' => array(0 => 'Eb 1', 1 => 'Eb1', 2 => 'Engineering building 1',),
            'facilities_id' => '782',
            'street' => '911 Partners Way',
            'street_name' => 'Partners Way',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'EB2' => array(
            'abrv' => 'EB2',
            'display_name' => 'Engineering Building II',
            'nicknames' => array(0 => 'Eb 2', 1 => 'EB2', 2 => 'Engineering Building 2',),
            'facilities_id' => '782',
            'street' => '890 Oval Drive',
            'street_name' => 'Oval Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'EB3' => array(
            'abrv' => 'EB3',
            'display_name' => 'Engineering Building III',
            'nicknames' => array(0 => 'Eb 3', 1 => 'Eb3', 2 => 'Engineering building 3',),
            'facilities_id' => '782',
            'street' => '911 Oval Drive',
            'street_name' => 'Oval Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'EC' => array(
            'abrv' => 'EC',
            'display_name' => 'Erdahl Cloyd Wing',
            'nicknames' => null,
            'facilities_id' => '047A',
            'street' => '2 Broughton Drive',
            'street_name' => 'Broughton Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'EGRC' => array(
            'abrv' => 'EGRC',
            'display_name' => 'Engineering Graduate Research Center',
            'nicknames' => array(0 => 'EGRC', 1 => 'MRC',),
            'facilities_id' => '720',
            'street' => '2410 Campus Shore Drive',
            'street_name' => 'Campus Shore Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'EHS' => array(
            'abrv' => 'EHS',
            'display_name' => 'Environmental Health and Safety Center',
            'nicknames' => array(0 => 'EHSC', 1 => 'Safety Center',),
            'facilities_id' => '210',
            'street' => '2620 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'EIS' => array(
            'abrv' => 'EIS',
            'display_name' => 'Equine Isolation Stalls',
            'nicknames' => null,
            'facilities_id' => '338A',
            'street' => '1070 1070 William Moore Drive',
            'street_name' => 'William Moore Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'EL' => array(
            'abrv' => 'EL',
            'display_name' => 'Entomology Lab UFL 614',
            'nicknames' => null,
            'facilities_id' => '614',
            'street' => '1405 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ERB' => array(
            'abrv' => 'ERB',
            'display_name' => 'EGRC Parking Deck',
            'nicknames' => null,
            'facilities_id' => '720',
            'street' => '1010 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ERC' => array(
            'abrv' => 'ERC',
            'display_name' => 'Constructed Facilities Laboratory',
            'nicknames' => array(0 => 'CFL',),
            'facilities_id' => '720',
            'street' => '2414 Campus Shore Drive',
            'street_name' => 'Campus Shore Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ESB' => array(
            'abrv' => 'ESB',
            'display_name' => 'EGRC Structures Storage',
            'nicknames' => null,
            'facilities_id' => '720 ',
            'street' => '2410 Campus Shore Drive ',
            'street_name' => 'Campus Shore Drive ',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ESF' => array(
            'abrv' => 'ESF',
            'display_name' => 'Entomology Storage Facility',
            'nicknames' => null,
            'facilities_id' => '165C',
            'street' => '3220 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'ESS' => array(
            'abrv' => 'ESS',
            'display_name' => 'Equip Shed UFL 48',
            'nicknames' => null,
            'facilities_id' => '408',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'ETF' => array(
            'abrv' => 'ETF',
            'display_name' => 'Equine Training Facility',
            'nicknames' => null,
            'facilities_id' => '475',
            'street' => '5100 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'F14' => array(
            'abrv' => 'F14',
            'display_name' => 'Greek 15 Alpha Phi Alpha',
            'nicknames' => null,
            'facilities_id' => '154',
            'street' => '1402 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FES' => array(
            'abrv' => 'FES',
            'display_name' => 'Facilities Equipment Storage',
            'nicknames' => null,
            'facilities_id' => '387',
            'street' => '135 Trinity Road',
            'street_name' => 'Trinity Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'FH' => array(
            'abrv' => 'FH',
            'display_name' => 'Field House',
            'nicknames' => null,
            'facilities_id' => '028',
            'street' => '201 Boney Drive',
            'street_name' => 'Boney Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'FH1' => array(
            'abrv' => 'FH1',
            'display_name' => 'Fish House CVM',
            'nicknames' => null,
            'facilities_id' => '344',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FHD' => array(
            'abrv' => 'FHD',
            'display_name' => 'Doak Field-Field-Hse and Seats',
            'nicknames' => array(0 => 'Baseball Field', 1 => 'Doak',),
            'facilities_id' => '158B',
            'street' => '1081 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FIN' => array(
            'abrv' => 'FIN',
            'display_name' => 'TAU Finishing House',
            'nicknames' => null,
            'facilities_id' => '321',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FIW' => array(
            'abrv' => 'FIW',
            'display_name' => 'Friday Institute',
            'nicknames' => array(0 => 'FI', 1 => 'FIEI',),
            'facilities_id' => '792B',
            'street' => '1890 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FLB' => array(
            'abrv' => 'FLB',
            'display_name' => 'Varsity Research Building',
            'nicknames' => array(0 => 'Flex', 1 => 'Flex Building',),
            'facilities_id' => '250',
            'street' => '1575 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FOS' => array(
            'abrv' => 'FOS',
            'display_name' => 'Facilities Operations Storage',
            'nicknames' => null,
            'facilities_id' => '029A',
            'street' => '2411 Yarbrough Drive',
            'street_name' => 'Yarbrough Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'FOX' => array(
            'abrv' => 'FOX',
            'display_name' => 'Marye Anne Fox Science Labs',
            'nicknames' => array(0 => 'Mary Ann Fox Building', 1 => 'Mary Ann Fox Lab', 2 => 'Mary Anne Fox Lab',),
            'facilities_id' => '076',
            'street' => '2791 Pillsbury Circle',
            'street_name' => 'Pillsbury Circle',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'FPF' => array(
            'abrv' => 'FPF',
            'display_name' => 'Football Practice Facility',
            'nicknames' => null,
            'facilities_id' => '135G',
            'street' => '4600 Trinity Road',
            'street_name' => 'Trinity Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'FRA' => array(
            'abrv' => 'FRA',
            'display_name' => 'Greek 1 Univ-Housing Maint.',
            'nicknames' => null,
            'facilities_id' => '141',
            'street' => '2613 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FRB' => array(
            'abrv' => 'FRB',
            'display_name' => 'Greek 2 Kappa Sigma',
            'nicknames' => null,
            'facilities_id' => '142',
            'street' => '2601 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FRC' => array(
            'abrv' => 'FRC',
            'display_name' => 'Greek 3 Delta Delta Delta',
            'nicknames' => null,
            'facilities_id' => '143',
            'street' => '2511 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FRE' => array(
            'abrv' => 'FRE',
            'display_name' => 'Greek 5 Sigma Chi',
            'nicknames' => null,
            'facilities_id' => '145',
            'street' => '2409 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FRF' => array(
            'abrv' => 'FRF',
            'display_name' => 'Greek 6 Pi Kappa Phi',
            'nicknames' => null,
            'facilities_id' => '146',
            'street' => '2401 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FRG' => array(
            'abrv' => 'FRG',
            'display_name' => 'Greek 7 Sigma Phi Epsilon',
            'nicknames' => null,
            'facilities_id' => '147',
            'street' => '2313 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FRH' => array(
            'abrv' => 'FRH',
            'display_name' => 'Greek 8 Alpha Delta Pi',
            'nicknames' => null,
            'facilities_id' => '148',
            'street' => '2309 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FRK' => array(
            'abrv' => 'FRK',
            'display_name' => 'Greek 11 Centex Temp Construct',
            'nicknames' => null,
            'facilities_id' => '151',
            'street' => '2701 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FRL' => array(
            'abrv' => 'FRL',
            'display_name' => 'Greek 12 Delta Gamma',
            'nicknames' => null,
            'facilities_id' => '152',
            'street' => '2619 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'FYC' => array(
            'abrv' => 'FYC',
            'display_name' => 'First Year College Commons',
            'nicknames' => array(0 => 'FYC',),
            'facilities_id' => '077',
            'street' => '2751 2751 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'G10' => array(
            'abrv' => 'G10',
            'display_name' => 'Greenhouse UFL 422',
            'nicknames' => null,
            'facilities_id' => '422',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G11' => array(
            'abrv' => 'G11',
            'display_name' => 'Greenhouse UFL 423',
            'nicknames' => null,
            'facilities_id' => '423',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G12' => array(
            'abrv' => 'G12',
            'display_name' => 'Greenhouse UFL 424',
            'nicknames' => null,
            'facilities_id' => '424',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G13' => array(
            'abrv' => 'G13',
            'display_name' => 'Greenhouse UFL 431',
            'nicknames' => null,
            'facilities_id' => '431',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G14' => array(
            'abrv' => 'G14',
            'display_name' => 'Greenhouse UFL 432',
            'nicknames' => null,
            'facilities_id' => '432',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G15' => array(
            'abrv' => 'G15',
            'display_name' => 'Greenhouse UFL 433',
            'nicknames' => null,
            'facilities_id' => '433',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G16' => array(
            'abrv' => 'G16',
            'display_name' => 'Greenhouse UFL 434',
            'nicknames' => null,
            'facilities_id' => '434',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G17' => array(
            'abrv' => 'G17',
            'display_name' => 'Greenhouse UFL 450',
            'nicknames' => null,
            'facilities_id' => '450',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G18' => array(
            'abrv' => 'G18',
            'display_name' => 'Greenhouse UFL 451',
            'nicknames' => null,
            'facilities_id' => '451',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G19' => array(
            'abrv' => 'G19',
            'display_name' => 'Greenhouse UFL 452',
            'nicknames' => null,
            'facilities_id' => '452',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G20' => array(
            'abrv' => 'G20',
            'display_name' => 'Greenhouse UFL 453',
            'nicknames' => null,
            'facilities_id' => '453',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G21' => array(
            'abrv' => 'G21',
            'display_name' => 'Greenhouse UFL 454',
            'nicknames' => null,
            'facilities_id' => '454',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G22' => array(
            'abrv' => 'G22',
            'display_name' => 'Greenhouse UFL 455',
            'nicknames' => null,
            'facilities_id' => '455',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G23' => array(
            'abrv' => 'G23',
            'display_name' => 'Greenhouse UFL 456',
            'nicknames' => null,
            'facilities_id' => '456',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G24' => array(
            'abrv' => 'G24',
            'display_name' => 'Greenhouse UFL 457',
            'nicknames' => null,
            'facilities_id' => '457',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'G50' => array(
            'abrv' => 'G50',
            'display_name' => 'Greenhouse UFL 641',
            'nicknames' => null,
            'facilities_id' => '641',
            'street' => '1260 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GA' => array(
            'abrv' => 'GA',
            'display_name' => 'Gardner Hall',
            'nicknames' => null,
            'facilities_id' => '067',
            'street' => '100 Derieux Place',
            'street_name' => 'Derieux Place',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GEE' => array(
            'abrv' => 'GEE',
            'display_name' => 'Greenhouse Unit 4 At Method',
            'nicknames' => null,
            'facilities_id' => '174A',
            'street' => '3141 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GF' => array(
            'abrv' => 'GF',
            'display_name' => 'Grinding Facility UFL 495',
            'nicknames' => null,
            'facilities_id' => '495',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GH0' => array(
            'abrv' => 'GH0',
            'display_name' => 'Greenhouse # 435',
            'nicknames' => null,
            'facilities_id' => '435',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GH1' => array(
            'abrv' => 'GH1',
            'display_name' => 'Headhouse Unit 1 At Method',
            'nicknames' => null,
            'facilities_id' => '171',
            'street' => '830 Method Road',
            'street_name' => 'Method Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GH2' => array(
            'abrv' => 'GH2',
            'display_name' => 'Headhouse Unit 2 At Method',
            'nicknames' => null,
            'facilities_id' => '172',
            'street' => '840 Method Road',
            'street_name' => 'Method Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GH3' => array(
            'abrv' => 'GH3',
            'display_name' => 'Headhouse Unit 3 At Method',
            'nicknames' => null,
            'facilities_id' => '173',
            'street' => '3131 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GH4' => array(
            'abrv' => 'GH4',
            'display_name' => 'Headhouse Unit 4 At Method',
            'nicknames' => null,
            'facilities_id' => '174',
            'street' => '3141 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GHA' => array(
            'abrv' => 'GHA',
            'display_name' => 'Greenhouse Unit 2 At Method',
            'nicknames' => null,
            'facilities_id' => '172A',
            'street' => '840 Method Road',
            'street_name' => 'Method Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GHL' => array(
            'abrv' => 'GHL',
            'display_name' => 'Grinnells Lab',
            'nicknames' => null,
            'facilities_id' => '118',
            'street' => '3200 Faucette Drive',
            'street_name' => 'Faucette Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GN1' => array(
            'abrv' => 'GN1',
            'display_name' => 'Greenhouse Unit 1 At Method',
            'nicknames' => null,
            'facilities_id' => '171A',
            'street' => '830 Method Road',
            'street_name' => 'Method Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GOL' => array(
            'abrv' => 'GOL',
            'display_name' => 'Gold Residence Hall',
            'nicknames' => array(0 => 'Gold',),
            'facilities_id' => '012',
            'street' => '70 Pullen Drive',
            'street_name' => 'Pullen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GR1' => array(
            'abrv' => 'GR1',
            'display_name' => 'Greenhouse UFL 412',
            'nicknames' => null,
            'facilities_id' => '412',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GR2' => array(
            'abrv' => 'GR2',
            'display_name' => 'Greenhouse UFL 413',
            'nicknames' => null,
            'facilities_id' => '413',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GR3' => array(
            'abrv' => 'GR3',
            'display_name' => 'Greenhouse UFL 414',
            'nicknames' => null,
            'facilities_id' => '414',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GR4' => array(
            'abrv' => 'GR4',
            'display_name' => 'Greenhouse UFL 415',
            'nicknames' => null,
            'facilities_id' => '415',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GR5' => array(
            'abrv' => 'GR5',
            'display_name' => 'Greenhouse UFL 416',
            'nicknames' => null,
            'facilities_id' => '416',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GR6' => array(
            'abrv' => 'GR6',
            'display_name' => 'Greenhouse UFL 417',
            'nicknames' => null,
            'facilities_id' => '417',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GR7' => array(
            'abrv' => 'GR7',
            'display_name' => 'Greenhouse UFL 418',
            'nicknames' => null,
            'facilities_id' => '418',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GR8' => array(
            'abrv' => 'GR8',
            'display_name' => 'Greenhouse UFL 420',
            'nicknames' => null,
            'facilities_id' => '420',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GR9' => array(
            'abrv' => 'GR9',
            'display_name' => 'Greenhouse UFL 421',
            'nicknames' => null,
            'facilities_id' => '421',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GRB' => array(
            'abrv' => 'GRB',
            'display_name' => 'Landscape Services Bldg',
            'nicknames' => null,
            'facilities_id' => '124A',
            'street' => '620 Motor Pool Street',
            'street_name' => 'Motor Pool Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GRC' => array(
            'abrv' => 'GRC',
            'display_name' => 'Greenhouse Control Room',
            'nicknames' => null,
            'facilities_id' => '461',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GRH' => array(
            'abrv' => 'GRH',
            'display_name' => 'Greenhouse UFL 411',
            'nicknames' => null,
            'facilities_id' => '411',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'GS1' => array(
            'abrv' => 'GS1',
            'display_name' => 'Greenhouse Unit 3 At Method',
            'nicknames' => null,
            'facilities_id' => '173A',
            'street' => '3131 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'GTB' => array(
            'abrv' => 'GTB',
            'display_name' => 'Lot 86 Groundwater Treatment B',
            'nicknames' => null,
            'facilities_id' => '135H',
            'street' => '2505 2505 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HA' => array(
            'abrv' => 'HA',
            'display_name' => 'Harrelson Hall',
            'nicknames' => null,
            'facilities_id' => '056',
            'street' => '2610 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HBA' => array(
            'abrv' => 'HBA',
            'display_name' => 'Hillsborough Street Annex',
            'nicknames' => null,
            'facilities_id' => '948A',
            'street' => '2604 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HES' => array(
            'abrv' => 'HES',
            'display_name' => 'Heavy Equipment Storage Shed',
            'nicknames' => null,
            'facilities_id' => '124H',
            'street' => 'Sullivan Drive',
            'street_name' => 'Sullivan Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HGA' => array(
            'abrv' => 'HGA',
            'display_name' => 'Horticulture Greenhouse A',
            'nicknames' => null,
            'facilities_id' => '444A',
            'street' => '3251 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HGB' => array(
            'abrv' => 'HGB',
            'display_name' => 'Horticulture Greenhouse B',
            'nicknames' => null,
            'facilities_id' => '444B',
            'street' => '3249 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HHH' => array(
            'abrv' => 'HHH',
            'display_name' => 'Horticulture Headhouse',
            'nicknames' => null,
            'facilities_id' => '444',
            'street' => '3247 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HHS' => array(
            'abrv' => 'HHS',
            'display_name' => 'Spring Hill Storage',
            'nicknames' => null,
            'facilities_id' => '755B',
            'street' => '705 Barbour Drive',
            'street_name' => 'Barbour Drive',
            'city' => 'Raleigh',
            'zip' => '27603',
        ),
        'HLB' => array(
            'abrv' => 'HLB',
            'display_name' => 'Hillsborough Building',
            'nicknames' => array(0 => 'Hillsborough', 1 => 'Hillsborough Building',),
            'facilities_id' => '048',
            'street' => '2620 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HM1' => array(
            'abrv' => 'HM1',
            'display_name' => 'Landscape Hazardous Materials',
            'nicknames' => null,
            'facilities_id' => '124F',
            'street' => 'Sullivan Drive',
            'street_name' => 'Sullivan Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HOL' => array(
            'abrv' => 'HOL',
            'display_name' => 'Holladay Hall',
            'nicknames' => array(0 => 'Holiday Hall',),
            'facilities_id' => '003',
            'street' => '20 Watauga Club Drive',
            'street_name' => 'Watauga Club Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HRH' => array(
            'abrv' => 'HRH',
            'display_name' => 'Harris Hall',
            'nicknames' => null,
            'facilities_id' => '090',
            'street' => '2831 Thurman Drive',
            'street_name' => 'Thurman Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HS' => array(
            'abrv' => 'HS',
            'display_name' => 'Horticulture Shed UFL 441',
            'nicknames' => null,
            'facilities_id' => '441',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'HSB' => array(
            'abrv' => 'HSB',
            'display_name' => 'Horticulture Storage UFL 439',
            'nicknames' => null,
            'facilities_id' => '439',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'HST' => array(
            'abrv' => 'HST',
            'display_name' => 'Horticulture Storage Trailer',
            'nicknames' => null,
            'facilities_id' => '492',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'HVC' => array(
            'abrv' => 'HVC',
            'display_name' => 'Honors Village Commons',
            'nicknames' => null,
            'facilities_id' => '110A',
            'street' => '2221 2221 Dunn Avenue',
            'street_name' => 'Dunn Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HWC' => array(
            'abrv' => 'HWC',
            'display_name' => 'Hodges Wood Prod Stor Central',
            'nicknames' => null,
            'facilities_id' => '114A',
            'street' => '411 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HWE' => array(
            'abrv' => 'HWE',
            'display_name' => 'Hodges Wood Prod Stor East',
            'nicknames' => null,
            'facilities_id' => '114C',
            'street' => '411 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HWN' => array(
            'abrv' => 'HWN',
            'display_name' => 'Hodges Wood Prod Stor North',
            'nicknames' => null,
            'facilities_id' => '114B',
            'street' => '411 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'HWP' => array(
            'abrv' => 'HWP',
            'display_name' => 'Hodges Wood Products',
            'nicknames' => null,
            'facilities_id' => '114',
            'street' => '411 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'IBC' => array(
            'abrv' => 'IBC',
            'display_name' => 'Doak Field-Indoor Batting Cage',
            'nicknames' => null,
            'facilities_id' => '158C',
            'street' => '1081 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'IC' => array(
            'abrv' => 'IC',
            'display_name' => 'Information Center',
            'nicknames' => null,
            'facilities_id' => '017',
            'street' => '2220 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'JHA' => array(
            'abrv' => 'JHA',
            'display_name' => 'Jordan Hall Addition',
            'nicknames' => array(0 => 'Jordan Hall',),
            'facilities_id' => '058A',
            'street' => '2720 Faucette Drive',
            'street_name' => 'Faucette Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'JHL' => array(
            'abrv' => 'JHL',
            'display_name' => 'Hunt Library',
            'nicknames' => array(0 => 'Hunt', 1 => 'Hunt Library', 2 => 'Library',),
            'facilities_id' => '783',
            'street' => '1070 Partners Way',
            'street_name' => 'Partners Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'JOR' => array(
            'abrv' => 'JOR',
            'display_name' => 'Jordan Hall',
            'nicknames' => null,
            'facilities_id' => '058',
            'street' => '2800 Faucette Drive',
            'street_name' => 'Faucette Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'JWT' => array(
            'abrv' => 'JWT',
            'display_name' => 'J.W. Isenhour Tennis Complex',
            'nicknames' => array(0 => 'Tennis', 1 => 'Tennis Complex',),
            'facilities_id' => '158A',
            'street' => '1080 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'KAM' => array(
            'abrv' => 'KAM',
            'display_name' => 'Kamphoefner Hall',
            'nicknames' => null,
            'facilities_id' => '011A',
            'street' => '2221 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KI' => array(
            'abrv' => 'KI',
            'display_name' => 'Kilgore Hall',
            'nicknames' => null,
            'facilities_id' => '069',
            'street' => '2721 Founders Drive',
            'street_name' => 'Founders Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KS1' => array(
            'abrv' => 'KS1',
            'display_name' => 'Keystone Science Center',
            'nicknames' => array(0 => 'Freedm Center', 1 => 'FREEDM Systems Center', 2 => 'Freedom Center',),
            'facilities_id' => '',
            'street' => '1791 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27695',
        ),
        'KVA' => array(
            'abrv' => 'KVA',
            'display_name' => 'King Village Chowan Hall A',
            'nicknames' => null,
            'facilities_id' => '127A',
            'street' => '2911 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVB' => array(
            'abrv' => 'KVB',
            'display_name' => 'King Village Currituck Hall B',
            'nicknames' => null,
            'facilities_id' => '127B',
            'street' => '2921 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVC' => array(
            'abrv' => 'KVC',
            'display_name' => 'King Village Hyde Hall C',
            'nicknames' => null,
            'facilities_id' => '127C',
            'street' => '2931 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVD' => array(
            'abrv' => 'KVD',
            'display_name' => 'King Village Tyrrell Hall D',
            'nicknames' => null,
            'facilities_id' => '127D',
            'street' => '2941 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVE' => array(
            'abrv' => 'KVE',
            'display_name' => 'King Village Onslow Hall E',
            'nicknames' => null,
            'facilities_id' => '127E',
            'street' => '2951 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVF' => array(
            'abrv' => 'KVF',
            'display_name' => 'King Village Northhampt Hall F',
            'nicknames' => null,
            'facilities_id' => '127F',
            'street' => '3001 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVG' => array(
            'abrv' => 'KVG',
            'display_name' => 'King Village Granville Hall G',
            'nicknames' => null,
            'facilities_id' => '127G',
            'street' => '3011 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVH' => array(
            'abrv' => 'KVH',
            'display_name' => 'King Village Johnston Hall H',
            'nicknames' => null,
            'facilities_id' => '127H',
            'street' => '3950 Jackson Street',
            'street_name' => 'Jackson Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'KVI' => array(
            'abrv' => 'KVI',
            'display_name' => 'King Village Bladen Hall I',
            'nicknames' => null,
            'facilities_id' => '127I',
            'street' => '3920 Jackson Street',
            'street_name' => 'Jackson Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'KVJ' => array(
            'abrv' => 'KVJ',
            'display_name' => 'King Vlg New Hanover Hall J',
            'nicknames' => null,
            'facilities_id' => '127J',
            'street' => '3910 Jackson Street',
            'street_name' => 'Jackson Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'KVK' => array(
            'abrv' => 'KVK',
            'display_name' => 'King Village Bertie Hall K',
            'nicknames' => null,
            'facilities_id' => '127K',
            'street' => '3840 Jackson Street',
            'street_name' => 'Jackson Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVL' => array(
            'abrv' => 'KVL',
            'display_name' => 'King Village Carteret Hall L',
            'nicknames' => null,
            'facilities_id' => '127L',
            'street' => '3830 Jackson Street',
            'street_name' => 'Jackson Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVM' => array(
            'abrv' => 'KVM',
            'display_name' => 'King Village Craven Hall M',
            'nicknames' => null,
            'facilities_id' => '127M',
            'street' => '3810 Jackson Street',
            'street_name' => 'Jackson Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVN' => array(
            'abrv' => 'KVN',
            'display_name' => 'King Vlg Perquimans Hall N',
            'nicknames' => null,
            'facilities_id' => '127N',
            'street' => '720 Gorman Street',
            'street_name' => 'Gorman Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVO' => array(
            'abrv' => 'KVO',
            'display_name' => 'King Vlg Pasquotank Hall O',
            'nicknames' => null,
            'facilities_id' => '127O',
            'street' => '740 Gorman Street',
            'street_name' => 'Gorman Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVP' => array(
            'abrv' => 'KVP',
            'display_name' => 'King Village Beaufort Hall P',
            'nicknames' => null,
            'facilities_id' => '127P',
            'street' => '3820 Jackson Street',
            'street_name' => 'Jackson Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'KVQ' => array(
            'abrv' => 'KVQ',
            'display_name' => 'King Village Edgecombe Hall Q',
            'nicknames' => null,
            'facilities_id' => '127Q',
            'street' => '3930 Jackson Street',
            'street_name' => 'Jackson Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'LAS' => array(
            'abrv' => 'LAS',
            'display_name' => 'Landscape Storage',
            'nicknames' => null,
            'facilities_id' => '124E',
            'street' => '620 Motor Pool Street',
            'street_name' => 'Motor Pool Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LAU' => array(
            'abrv' => 'LAU',
            'display_name' => 'Language and Computer Labs',
            'nicknames' => array(0 => 'Computer Lab', 1 => 'Laundry Building', 2 => 'Laundry Lab',),
            'facilities_id' => '030',
            'street' => '2341 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LEE' => array(
            'abrv' => 'LEE',
            'display_name' => 'Lee Hall',
            'nicknames' => null,
            'facilities_id' => '87',
            'street' => '2530 Sullivan Drive',
            'street_name' => 'Sullivan Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LES' => array(
            'abrv' => 'LES',
            'display_name' => 'Landscape Equip',
            'nicknames' => null,
            'facilities_id' => '124C',
            'street' => '620 Motor Pool Street',
            'street_name' => 'Motor Pool Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LEZ' => array(
            'abrv' => 'LEZ',
            'display_name' => 'Leazar Hall',
            'nicknames' => null,
            'facilities_id' => '18',
            'street' => '2230 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LND' => array(
            'abrv' => 'LND',
            'display_name' => 'Landscape Services Stor Unit',
            'nicknames' => null,
            'facilities_id' => '791',
            'street' => 'Capability Drive',
            'street_name' => 'Capability Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'LPGC' => array(
            'abrv' => 'LPGC',
            'display_name' => 'Lonnie Poole Golf Course',
            'nicknames' => array(0 => 'Lonnie Poole Country Club', 1 => 'Lonnie Poole Golf Club',),
            'facilities_id' => '',
            'street' => '1509 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => 'NC',
        ),
        'LPH' => array(
            'abrv' => 'LPH',
            'display_name' => 'Lake Pump House',
            'nicknames' => null,
            'facilities_id' => '462',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'LS1' => array(
            'abrv' => 'LS1',
            'display_name' => 'Leonard Stor Bldg Warehouse 1',
            'nicknames' => null,
            'facilities_id' => '331A',
            'street' => 'Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LS2' => array(
            'abrv' => 'LS2',
            'display_name' => 'Leonard Stor Bldg Warehouse 2',
            'nicknames' => null,
            'facilities_id' => '331B',
            'street' => 'Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LS3' => array(
            'abrv' => 'LS3',
            'display_name' => 'Leonard Stor Bldg Warehouse 3',
            'nicknames' => null,
            'facilities_id' => '331C',
            'street' => 'Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LSA' => array(
            'abrv' => 'LSA',
            'display_name' => 'Leonard Storage Bldg #3674',
            'nicknames' => null,
            'facilities_id' => '329A',
            'street' => '1214 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LSB' => array(
            'abrv' => 'LSB',
            'display_name' => 'Leonard Storage Bldg #3675',
            'nicknames' => null,
            'facilities_id' => '329B',
            'street' => '1214 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LSC' => array(
            'abrv' => 'LSC',
            'display_name' => 'Leonard Storage Bldg #10939',
            'nicknames' => null,
            'facilities_id' => '329C',
            'street' => '1214 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LSD' => array(
            'abrv' => 'LSD',
            'display_name' => 'Leonard Storage Bldg',
            'nicknames' => null,
            'facilities_id' => '329D',
            'street' => '1214 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'LSF' => array(
            'abrv' => 'LSF',
            'display_name' => 'Libraries Satellite Shelving',
            'nicknames' => null,
            'facilities_id' => '123',
            'street' => '2731 Sullivan Drive',
            'street_name' => 'Sullivan Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MAE' => array(
            'abrv' => 'MAE',
            'display_name' => 'MAE Lab (At West Research Anne',
            'nicknames' => null,
            'facilities_id' => '163F',
            'street' => '3217 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MBT' => array(
            'abrv' => 'MBT',
            'display_name' => 'Bell Tower',
            'nicknames' => null,
            'facilities_id' => '2',
            'street' => '2101 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MCK' => array(
            'abrv' => 'MCK',
            'display_name' => 'McKimmon Center',
            'nicknames' => array(0 => 'McKimmon', 1 => 'The mckimmon center',),
            'facilities_id' => '129',
            'street' => '1101 Gorman Street',
            'street_name' => 'Gorman Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'MD3' => array(
            'abrv' => 'MD3',
            'display_name' => 'Modular Dinoflagellate Fac',
            'nicknames' => null,
            'facilities_id' => '163C',
            'street' => '3227 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MDF' => array(
            'abrv' => 'MDF',
            'display_name' => 'Main Distribution Frame',
            'nicknames' => null,
            'facilities_id' => '065',
            'street' => '401 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MEA' => array(
            'abrv' => 'MEA',
            'display_name' => 'MEAS Field Lab',
            'nicknames' => null,
            'facilities_id' => '240',
            'street' => '1321 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'MET' => array(
            'abrv' => 'MET',
            'display_name' => 'Metcalf Hall',
            'nicknames' => null,
            'facilities_id' => '94',
            'street' => '2811 Thurman Drive',
            'street_name' => 'Thurman Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MFS' => array(
            'abrv' => 'MFS',
            'display_name' => 'Miller Field Athltc Storage',
            'nicknames' => null,
            'facilities_id' => '119A',
            'street' => '430 Morrill Drive',
            'street_name' => 'Morrill Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MKA' => array(
            'abrv' => 'MKA',
            'display_name' => 'McKimmon Addition',
            'nicknames' => null,
            'facilities_id' => '129A',
            'street' => '1101 Gorman Street',
            'street_name' => 'Gorman Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'MMW' => array(
            'abrv' => 'MMW',
            'display_name' => 'Materials Management Warehouse',
            'nicknames' => null,
            'facilities_id' => '161',
            'street' => '3240 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MN' => array(
            'abrv' => 'MN',
            'display_name' => 'Mann Hall',
            'nicknames' => null,
            'facilities_id' => '40',
            'street' => '2501 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MPF' => array(
            'abrv' => 'MPF',
            'display_name' => 'Motor Pool Facility',
            'nicknames' => null,
            'facilities_id' => '126',
            'street' => '621 Motor Pool Street',
            'street_name' => 'Motor Pool Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'MRC' => array(
            'abrv' => 'MRC',
            'display_name' => 'Monteith Engineering Research Center',
            'nicknames' => array(0 => 'EGRC', 1 => 'MRC',),
            'facilities_id' => '720',
            'street' => '2410 Campus Shore Drive',
            'street_name' => 'Campus Shore Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'MSP' => array(
            'abrv' => 'MSP',
            'display_name' => 'Method Road Soccer Field',
            'nicknames' => array(0 => 'Method Soccer Park', 1 => 'Soccer', 2 => 'Soccer Field',),
            'facilities_id' => '',
            'street' => 'Method Road',
            'street_name' => 'Method Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'N' => array(
            'abrv' => 'N',
            'display_name' => 'Nelson Hall',
            'nicknames' => null,
            'facilities_id' => '078',
            'street' => '2801 Founders Drive',
            'street_name' => 'Founders Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'NIN' => array(
            'abrv' => 'NIN',
            'display_name' => 'The 1911 Building',
            'nicknames' => array(0 => '1911 bldg', 1 => '1911 building', 2 => 'Nineteen eleven building',),
            'facilities_id' => '036',
            'street' => '10 Current Drive',
            'street_name' => 'Current Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'NOR' => array(
            'abrv' => 'NOR',
            'display_name' => 'North Residence Hall',
            'nicknames' => array(0 => 'North Hall',),
            'facilities_id' => '021',
            'street' => '2200 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'OTU' => array(
            'abrv' => 'OTU',
            'display_name' => 'Olympic Trailer Unit',
            'nicknames' => null,
            'facilities_id' => '157Z',
            'street' => '1050 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'OWN' => array(
            'abrv' => 'OWN',
            'display_name' => 'Owen Hall',
            'nicknames' => null,
            'facilities_id' => '92',
            'street' => '2720 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PA' => array(
            'abrv' => 'PA',
            'display_name' => 'Page Hall',
            'nicknames' => null,
            'facilities_id' => '34',
            'street' => '21 Current Drive',
            'street_name' => 'Current Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PB' => array(
            'abrv' => 'PB',
            'display_name' => 'Carter Finley Stadium - Gates',
            'nicknames' => null,
            'facilities_id' => '135B',
            'street' => '4600 Trinity Road',
            'street_name' => 'Trinity Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PB1' => array(
            'abrv' => 'PB1',
            'display_name' => 'Poultry Bldg UFL 631',
            'nicknames' => null,
            'facilities_id' => '631',
            'street' => '1324 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PB2' => array(
            'abrv' => 'PB2',
            'display_name' => 'Poultry Bldg UFL 636',
            'nicknames' => null,
            'facilities_id' => '636',
            'street' => '1344 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PB3' => array(
            'abrv' => 'PB3',
            'display_name' => 'Poultry Bldg UFL 637',
            'nicknames' => null,
            'facilities_id' => '637',
            'street' => '1350 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PBD' => array(
            'abrv' => 'PBD',
            'display_name' => 'Doak Field-Press Box',
            'nicknames' => null,
            'facilities_id' => '158D',
            'street' => '1081 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PCC' => array(
            'abrv' => 'PCC',
            'display_name' => 'Pump House Cent Campus',
            'nicknames' => null,
            'facilities_id' => '761',
            'street' => '1800 Crump Road',
            'street_name' => 'Crump Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PD' => array(
            'abrv' => 'PD',
            'display_name' => 'Reynolds Col. Parking Deck',
            'nicknames' => array(0 => 'Coliseum Deck', 1 => 'Reynolds Coliseum Deck',),
            'facilities_id' => '099',
            'street' => '201 Jeter Drive',
            'street_name' => 'Jeter Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PDD' => array(
            'abrv' => 'PDD',
            'display_name' => 'Dan Allen Parking Deck',
            'nicknames' => array(0 => 'Dan Allen Deck',),
            'facilities_id' => '60',
            'street' => '110 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PDT' => array(
            'abrv' => 'PDT',
            'display_name' => 'Paul Derr Track (Not A Buildin',
            'nicknames' => null,
            'facilities_id' => '115',
            'street' => '2495 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PDW' => array(
            'abrv' => 'PDW',
            'display_name' => 'Parking Deck-Wildlife Resource',
            'nicknames' => null,
            'facilities_id' => '758A',
            'street' => '1761 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PH' => array(
            'abrv' => 'PH',
            'display_name' => 'Peele Hall',
            'nicknames' => null,
            'facilities_id' => '008',
            'street' => '10 Watauga Club Drive',
            'street_name' => 'Watauga Club Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PH1' => array(
            'abrv' => 'PH1',
            'display_name' => 'Poultry House UFL 632',
            'nicknames' => null,
            'facilities_id' => '632',
            'street' => '1328 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PH2' => array(
            'abrv' => 'PH2',
            'display_name' => 'Poultry House UFL 633',
            'nicknames' => null,
            'facilities_id' => '633',
            'street' => '1332 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PH3' => array(
            'abrv' => 'PH3',
            'display_name' => 'Poultry House UFL 634',
            'nicknames' => null,
            'facilities_id' => '634',
            'street' => '1336 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PH4' => array(
            'abrv' => 'PH4',
            'display_name' => 'Poultry House UFL 635',
            'nicknames' => null,
            'facilities_id' => '635',
            'street' => '1340 Varisty Drive',
            'street_name' => 'Varisty Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PHB' => array(
            'abrv' => 'PHB',
            'display_name' => 'Potting House UFL 436',
            'nicknames' => null,
            'facilities_id' => '436',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PHL' => array(
            'abrv' => 'PHL',
            'display_name' => 'Pump House At Lonnie Poole Gol',
            'nicknames' => null,
            'facilities_id' => '787D',
            'street' => '1401 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PHV' => array(
            'abrv' => 'PHV',
            'display_name' => 'Pig House CVM',
            'nicknames' => null,
            'facilities_id' => '342',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PHY' => array(
            'abrv' => 'PHY',
            'display_name' => 'Phytotron',
            'nicknames' => null,
            'facilities_id' => '070',
            'street' => '2731 Pillsbury Circle',
            'street_name' => 'Pillsbury Circle',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PK' => array(
            'abrv' => 'PK',
            'display_name' => 'Polk Hall',
            'nicknames' => null,
            'facilities_id' => '050',
            'street' => '120 Broughton Drive',
            'street_name' => 'Broughton Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PLB' => array(
            'abrv' => 'PLB',
            'display_name' => 'Central Campus Pay Lot Booth',
            'nicknames' => null,
            'facilities_id' => '63',
            'street' => '351 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PMC' => array(
            'abrv' => 'PMC',
            'display_name' => 'Price Music Center',
            'nicknames' => array(0 => 'Music Center', 1 => 'Price',),
            'facilities_id' => '104',
            'street' => '2620 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'POE' => array(
            'abrv' => 'POE',
            'display_name' => 'Poe Hall',
            'nicknames' => null,
            'facilities_id' => '024',
            'street' => '2310 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PPE' => array(
            'abrv' => 'PPE',
            'display_name' => 'Plant Pathology Equip Shed',
            'nicknames' => null,
            'facilities_id' => '460',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PPL' => array(
            'abrv' => 'PPL',
            'display_name' => 'Pulp & Paper Labs',
            'nicknames' => null,
            'facilities_id' => '113B',
            'street' => '431 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PRG' => array(
            'abrv' => 'PRG',
            'display_name' => '3709 Hillsborough St Garage',
            'nicknames' => null,
            'facilities_id' => '138A',
            'street' => '3709 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PRI' => array(
            'abrv' => 'PRI',
            'display_name' => 'Primrose Hall',
            'nicknames' => null,
            'facilities_id' => '006',
            'street' => '2 Watauga Club Drive',
            'street_name' => 'Watauga Club Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PS' => array(
            'abrv' => 'PS',
            'display_name' => 'Park Shops',
            'nicknames' => array(0 => 'Port City Java',),
            'facilities_id' => '33',
            'street' => '101 Current Drive',
            'street_name' => 'Current Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PS1' => array(
            'abrv' => 'PS1',
            'display_name' => 'Potting Shed UFL 459',
            'nicknames' => null,
            'facilities_id' => '459',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PSB' => array(
            'abrv' => 'PSB',
            'display_name' => 'Public Safety Building',
            'nicknames' => array(0 => 'Campus Police',),
            'facilities_id' => '239',
            'street' => '1355 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PSC' => array(
            'abrv' => 'PSC',
            'display_name' => 'Public Safety Center',
            'nicknames' => array(0 => 'Campus Police', 1 => 'Police',),
            'facilities_id' => '238',
            'street' => '2610 2610 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PSF' => array(
            'abrv' => 'PSF',
            'display_name' => 'Campus Police Facility',
            'nicknames' => null,
            'facilities_id' => '238',
            'street' => '2610 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PT' => array(
            'abrv' => 'PT',
            'display_name' => 'Patterson Hall',
            'nicknames' => null,
            'facilities_id' => '046',
            'street' => '2501 Founders Drive',
            'street_name' => 'Founders Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PT1' => array(
            'abrv' => 'PT1',
            'display_name' => 'Partners I',
            'nicknames' => array(0 => 'Partners 1',),
            'facilities_id' => '775',
            'street' => '1017 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PT2' => array(
            'abrv' => 'PT2',
            'display_name' => 'Partners II',
            'nicknames' => array(0 => 'Partners', 1 => 'Partners 2',),
            'facilities_id' => '710',
            'street' => '840 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PT3' => array(
            'abrv' => 'PT3',
            'display_name' => 'Partners III',
            'nicknames' => array(0 => 'Partners 3',),
            'facilities_id' => '713',
            'street' => '851 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PUL' => array(
            'abrv' => 'PUL',
            'display_name' => 'Pullen Hall',
            'nicknames' => null,
            'facilities_id' => '090A',
            'street' => '201 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'PUM' => array(
            'abrv' => 'PUM',
            'display_name' => 'Well Pump Hse UFL 46',
            'nicknames' => null,
            'facilities_id' => '406',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'PWD' => array(
            'abrv' => 'PWD',
            'display_name' => 'Partners Way Parking Deck',
            'nicknames' => null,
            'facilities_id' => '713',
            'street' => '851 Partners Way',
            'street_name' => 'Partners Way',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'RA' => array(
            'abrv' => 'RA',
            'display_name' => 'Research Annex West A',
            'nicknames' => null,
            'facilities_id' => '165A',
            'street' => '3210 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RAM' => array(
            'abrv' => 'RAM',
            'display_name' => 'Research Annex Metal Bldg.',
            'nicknames' => null,
            'facilities_id' => '169E',
            'street' => '3219 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RAW' => array(
            'abrv' => 'RAW',
            'display_name' => 'Research Annex West - B',
            'nicknames' => null,
            'facilities_id' => '165B',
            'street' => '3220 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RB1' => array(
            'abrv' => 'RB1',
            'display_name' => 'Research I',
            'nicknames' => array(0 => 'Research 1',),
            'facilities_id' => '730',
            'street' => '1007 Capability Drive',
            'street_name' => 'Capability Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'RBC' => array(
            'abrv' => 'RBC',
            'display_name' => 'RBC Center',
            'nicknames' => null,
            'facilities_id' => '386',
            'street' => '1400 Edwards Mill Road',
            'street_name' => 'Edwards Mill Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCA' => array(
            'abrv' => 'RCA',
            'display_name' => 'Office/Research UFL 176',
            'nicknames' => null,
            'facilities_id' => '465A',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCC' => array(
            'abrv' => 'RCC',
            'display_name' => 'Forage Res UFL 193',
            'nicknames' => null,
            'facilities_id' => '465C',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCD' => array(
            'abrv' => 'RCD',
            'display_name' => 'Boll Weevil Erad Off UFL 174',
            'nicknames' => null,
            'facilities_id' => '465D',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCE' => array(
            'abrv' => 'RCE',
            'display_name' => 'Storage Bldg UFL 173',
            'nicknames' => null,
            'facilities_id' => '465E',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCF' => array(
            'abrv' => 'RCF',
            'display_name' => 'Cs Breed Res UFL 194',
            'nicknames' => null,
            'facilities_id' => '465F',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCG' => array(
            'abrv' => 'RCG',
            'display_name' => 'Farm Equip Storage UFL 170',
            'nicknames' => null,
            'facilities_id' => '465G',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCH' => array(
            'abrv' => 'RCH',
            'display_name' => 'Corn Genetics UFL 178',
            'nicknames' => null,
            'facilities_id' => '465H',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCI' => array(
            'abrv' => 'RCI',
            'display_name' => 'Shop Shed UFL 177',
            'nicknames' => null,
            'facilities_id' => '465I',
            'street' => '4616 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCJ' => array(
            'abrv' => 'RCJ',
            'display_name' => 'Fertilizer Storage UFL 171',
            'nicknames' => null,
            'facilities_id' => '465J',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCK' => array(
            'abrv' => 'RCK',
            'display_name' => 'Crop Drying UFL 172',
            'nicknames' => null,
            'facilities_id' => '465K',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCL' => array(
            'abrv' => 'RCL',
            'display_name' => 'Sample Drying UFL 195',
            'nicknames' => null,
            'facilities_id' => '465L',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCM' => array(
            'abrv' => 'RCM',
            'display_name' => 'Storage Shed UFL 179',
            'nicknames' => null,
            'facilities_id' => '465M',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RCP' => array(
            'abrv' => 'RCP',
            'display_name' => 'Equipment Storage UFL 175',
            'nicknames' => null,
            'facilities_id' => '465B',
            'street' => '4116 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RD' => array(
            'abrv' => 'RD',
            'display_name' => 'Riddick Hall',
            'nicknames' => null,
            'facilities_id' => '39',
            'street' => '2401 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RDF' => array(
            'abrv' => 'RDF',
            'display_name' => 'Daylight Rotating Test Lab',
            'nicknames' => null,
            'facilities_id' => '162A',
            'street' => '3223 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RE2' => array(
            'abrv' => 'RE2',
            'display_name' => 'Research II',
            'nicknames' => array(0 => 'Research 2',),
            'facilities_id' => '731',
            'street' => '1009 Capability Drive',
            'street_name' => 'Capability Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'RE3' => array(
            'abrv' => 'RE3',
            'display_name' => 'Research III',
            'nicknames' => array(0 => 'Research 3',),
            'facilities_id' => '733',
            'street' => '1005 Capability Drive',
            'street_name' => 'Capability Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'RE4' => array(
            'abrv' => 'RE4',
            'display_name' => 'Research IV',
            'nicknames' => array(0 => 'Research 4',),
            'facilities_id' => '734',
            'street' => '909 Capability Drive',
            'street_name' => 'Capability Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'REF' => array(
            'abrv' => 'REF',
            'display_name' => 'Refuse Reclm',
            'nicknames' => null,
            'facilities_id' => '124B',
            'street' => '630 Motor Pool Street',
            'street_name' => 'Motor Pool Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RGH' => array(
            'abrv' => 'RGH',
            'display_name' => 'Research Greenhouse',
            'nicknames' => null,
            'facilities_id' => '710A',
            'street' => '840 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27695',
        ),
        'RHA' => array(
            'abrv' => 'RHA',
            'display_name' => 'Ricks Hall Addition',
            'nicknames' => null,
            'facilities_id' => '045A',
            'street' => '2401 Founders Drive',
            'street_name' => 'Founders Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RI' => array(
            'abrv' => 'RI',
            'display_name' => 'Ricks Hall',
            'nicknames' => null,
            'facilities_id' => '045',
            'street' => '1 Lampe Drive',
            'street_name' => 'Lampe Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RME' => array(
            'abrv' => 'RME',
            'display_name' => 'Ruby Mcswain Education Ctr',
            'nicknames' => null,
            'facilities_id' => '446',
            'street' => '4415 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'RPA' => array(
            'abrv' => 'RPA',
            'display_name' => 'Storage Build Rprl',
            'nicknames' => null,
            'facilities_id' => '134A',
            'street' => '1400 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RPB' => array(
            'abrv' => 'RPB',
            'display_name' => 'Cattle and Swine Pens Rprl',
            'nicknames' => null,
            'facilities_id' => '134B',
            'street' => '1400 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RPC' => array(
            'abrv' => 'RPC',
            'display_name' => 'Bull Barn Rprl',
            'nicknames' => null,
            'facilities_id' => '134C',
            'street' => '1400 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RPD' => array(
            'abrv' => 'RPD',
            'display_name' => 'Utility Build Rprl',
            'nicknames' => null,
            'facilities_id' => '134D',
            'street' => '1400 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RPE' => array(
            'abrv' => 'RPE',
            'display_name' => 'Gilt/Boar Bldg Rprl',
            'nicknames' => null,
            'facilities_id' => '134E',
            'street' => '1400 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'RPL' => array(
            'abrv' => 'RPL',
            'display_name' => 'Reproductive Physiology Lab',
            'nicknames' => null,
            'facilities_id' => '134',
            'street' => '1400 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SA2' => array(
            'abrv' => 'SA2',
            'display_name' => 'Small Animal Research',
            'nicknames' => null,
            'facilities_id' => '163B',
            'street' => '3225 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SAM' => array(
            'abrv' => 'SAM',
            'display_name' => 'Greek 4 Delta Zeta',
            'nicknames' => null,
            'facilities_id' => '144',
            'street' => '2501 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'SAR' => array(
            'abrv' => 'SAR',
            'display_name' => 'Pfiesteria Research Lab',
            'nicknames' => null,
            'facilities_id' => '163',
            'street' => '3235 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SAS' => array(
            'abrv' => 'SAS',
            'display_name' => 'SAS Hall',
            'nicknames' => null,
            'facilities_id' => '32A',
            'street' => 'Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27695',
        ),
        'SBG' => array(
            'abrv' => 'SBG',
            'display_name' => 'Storage Bldg UFL 611',
            'nicknames' => null,
            'facilities_id' => '611',
            'street' => '1401 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'SBI' => array(
            'abrv' => 'SBI',
            'display_name' => 'Storage Bldg UFL 616',
            'nicknames' => null,
            'facilities_id' => '616',
            'street' => '1407 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'SC' => array(
            'abrv' => 'SC',
            'display_name' => 'Scott Hall',
            'nicknames' => null,
            'facilities_id' => '068',
            'street' => '2711 Founders Drive',
            'street_name' => 'Founders Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SCB' => array(
            'abrv' => 'SCB',
            'display_name' => 'Solar Bulk Curing Barn',
            'nicknames' => null,
            'facilities_id' => '116',
            'street' => '3110 Faucette Drive',
            'street_name' => 'Faucette Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SF' => array(
            'abrv' => 'SF',
            'display_name' => 'Carl Alwin Schenck Memorial FP',
            'nicknames' => null,
            'facilities_id' => '661A',
            'street' => 'Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'SFS' => array(
            'abrv' => 'SFS',
            'display_name' => 'Schaub Food Science Building',
            'nicknames' => array(0 => 'Food Science Building', 1 => 'Schaub',),
            'facilities_id' => '120',
            'street' => '400 Dan Allen Drive',
            'street_name' => 'Dan Allen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SGA' => array(
            'abrv' => 'SGA',
            'display_name' => 'South Gardner Hall',
            'nicknames' => array(0 => 'Thompason Theater',),
            'facilities_id' => '067B',
            'street' => '112 Derieux Place',
            'street_name' => 'Derieux Place',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SHC' => array(
            'abrv' => 'SHC',
            'display_name' => 'Student Health Services Center',
            'nicknames' => array(0 => 'SHC', 1 => 'Student Health Center',),
            'facilities_id' => '63',
            'street' => '2815 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SHH' => array(
            'abrv' => 'SHH',
            'display_name' => 'Spring Hill House',
            'nicknames' => null,
            'facilities_id' => '755A',
            'street' => '705 Barbour Drive',
            'street_name' => 'Barbour Drive',
            'city' => 'Raleigh',
            'zip' => '27603',
        ),
        'SHS' => array(
            'abrv' => 'SHS',
            'display_name' => 'Solar House Storage',
            'nicknames' => null,
            'facilities_id' => '242A',
            'street' => '1201 Gorman Street',
            'street_name' => 'Gorman Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'SOH' => array(
            'abrv' => 'SOH',
            'display_name' => 'Solar House',
            'nicknames' => null,
            'facilities_id' => '242',
            'street' => '1201 Gorman Street',
            'street_name' => 'Gorman Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'SOR' => array(
            'abrv' => 'SOR',
            'display_name' => 'Greek 13-14 Sigma Kappa/Pi Bet',
            'nicknames' => null,
            'facilities_id' => '155',
            'street' => '2709 Fraternity Court',
            'street_name' => 'Fraternity Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'SPD' => array(
            'abrv' => 'SPD',
            'display_name' => 'Dail Softball Stadium Field At',
            'nicknames' => null,
            'facilities_id' => '115B',
            'street' => '2505 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SPP' => array(
            'abrv' => 'SPP',
            'display_name' => 'Plant Path Storage UFL 65',
            'nicknames' => null,
            'facilities_id' => '605',
            'street' => '1351 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'SRB' => array(
            'abrv' => 'SRB',
            'display_name' => 'Natural Resource Storage Build',
            'nicknames' => null,
            'facilities_id' => '163G',
            'street' => '3223 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SS2' => array(
            'abrv' => 'SS2',
            'display_name' => 'Sullivan Shops Building II',
            'nicknames' => array(0 => 'Sullivan 2',),
            'facilities_id' => '126E',
            'street' => '621 Motor Pool Street',
            'street_name' => 'Motor Pool Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SSB' => array(
            'abrv' => 'SSB',
            'display_name' => 'Sullivan Shops Building I',
            'nicknames' => array(0 => 'Sullivan 1', 1 => 'Sullivan Building 1', 2 => 'Sullivan Shops',),
            'facilities_id' => '126D',
            'street' => '621 Motor Pool Street',
            'street_name' => 'Motor Pool Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SSS' => array(
            'abrv' => 'SSS',
            'display_name' => 'Soil Science Stor UFL 64',
            'nicknames' => null,
            'facilities_id' => '604',
            'street' => '1321 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'STS' => array(
            'abrv' => 'STS',
            'display_name' => 'Sullivan Site Storage Shed',
            'nicknames' => null,
            'facilities_id' => '124J',
            'street' => 'Sullivan Drive',
            'street_name' => 'Sullivan Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SUL' => array(
            'abrv' => 'SUL',
            'display_name' => 'Sullivan Hall',
            'nicknames' => null,
            'facilities_id' => '84',
            'street' => '2921 Thurman Drive',
            'street_name' => 'Thurman Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SW1' => array(
            'abrv' => 'SW1',
            'display_name' => '2806 Hillsborough St-Bldg A',
            'nicknames' => array(0 => 'Hillborough', 1 => 'Hillborough Building',),
            'facilities_id' => '049A',
            'street' => '2806 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SW2' => array(
            'abrv' => 'SW2',
            'display_name' => '2806 Hillsborough St-Bldg B',
            'nicknames' => null,
            'facilities_id' => '049B',
            'street' => '2806 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'SWA' => array(
            'abrv' => 'SWA',
            'display_name' => 'Camp Staff House',
            'nicknames' => null,
            'facilities_id' => '801A',
            'street' => '170 Woodland Drive',
            'street_name' => 'Woodland Drive',
            'city' => 'Swannanoa',
            'zip' => '28778',
        ),
        'SYM' => array(
            'abrv' => 'SYM',
            'display_name' => 'Syme Res Hall',
            'nicknames' => array(0 => 'Syme', 1 => 'Syme Hall', 2 => 'Syme Residence Hall',),
            'facilities_id' => '015',
            'street' => '2210 Baver Drive',
            'street_name' => 'Baver Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'T' => array(
            'abrv' => 'T',
            'display_name' => 'Tompkins Hall',
            'nicknames' => null,
            'facilities_id' => '022',
            'street' => '2211 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'TBD' => array(
            'abrv' => 'TBD',
            'display_name' => 'Doak Field-Ticket Booth',
            'nicknames' => null,
            'facilities_id' => '158G',
            'street' => '1081 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'TEX' => array(
            'abrv' => 'TEX',
            'display_name' => 'College of Textiles',
            'nicknames' => array(0 => 'Textiles',),
            'facilities_id' => '700',
            'street' => '1000 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'TGC' => array(
            'abrv' => 'TGC',
            'display_name' => 'Turf Grass Fld Ctr UFL 328',
            'nicknames' => null,
            'facilities_id' => '130J',
            'street' => '4210 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'TH' => array(
            'abrv' => 'TH',
            'display_name' => 'Turner House',
            'nicknames' => null,
            'facilities_id' => '080',
            'street' => '110 Brooks Avenue',
            'street_name' => 'Brooks Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'THG' => array(
            'abrv' => 'THG',
            'display_name' => 'Turner House Garage',
            'nicknames' => null,
            'facilities_id' => '080A',
            'street' => '110 Brooks Avenue',
            'street_name' => 'Brooks Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'THM' => array(
            'abrv' => 'THM',
            'display_name' => 'Thomas Hall',
            'nicknames' => null,
            'facilities_id' => '067B',
            'street' => '112 Derieux Place',
            'street_name' => 'Derieux Place',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'TMC' => array(
            'abrv' => 'TMC',
            'display_name' => 'Doak Field-Concessns/Mens-Rm',
            'nicknames' => null,
            'facilities_id' => '158E',
            'street' => '1081 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'TOX' => array(
            'abrv' => 'TOX',
            'display_name' => 'Toxicology Building',
            'nicknames' => array(0 => 'Toxicology',),
            'facilities_id' => '712',
            'street' => '850 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'TPH' => array(
            'abrv' => 'TPH',
            'display_name' => 'TAU Poultry House',
            'nicknames' => null,
            'facilities_id' => '314',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'TSC' => array(
            'abrv' => 'TSC',
            'display_name' => 'Talley Student Center',
            'nicknames' => array(0 => 'Crater', 1 => 'Student Center', 2 => 'Talley', 3 => 'Talley Center',),
            'facilities_id' => '102',
            'street' => '2610 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'TT' => array(
            'abrv' => 'TT',
            'display_name' => 'Thompson Theatre',
            'nicknames' => null,
            'facilities_id' => '105',
            'street' => '2241 Dunn Avenue',
            'street_name' => 'Dunn Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'TUC' => array(
            'abrv' => 'TUC',
            'display_name' => 'Tucker Hall',
            'nicknames' => null,
            'facilities_id' => '91',
            'street' => '2800 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'TUR' => array(
            'abrv' => 'TUR',
            'display_name' => 'Turlington Hall',
            'nicknames' => null,
            'facilities_id' => '96',
            'street' => '2710 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'TWC' => array(
            'abrv' => 'TWC',
            'display_name' => 'Doak Field-Concessns/Womens-Rm',
            'nicknames' => null,
            'facilities_id' => '158F',
            'street' => '1081 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'TX1' => array(
            'abrv' => 'TX1',
            'display_name' => 'Toxicology Parking Deck',
            'nicknames' => null,
            'facilities_id' => '712A',
            'street' => '850 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'U2D' => array(
            'abrv' => 'U2D',
            'display_name' => 'Unit 2 Greenhouse D At Method',
            'nicknames' => null,
            'facilities_id' => '172D',
            'street' => '840 Method Road',
            'street_name' => 'Method Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'U2E' => array(
            'abrv' => 'U2E',
            'display_name' => 'Unit 2 Greenhouse E At Method',
            'nicknames' => null,
            'facilities_id' => '172E',
            'street' => '840 Method Road',
            'street_name' => 'Method Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'U2F' => array(
            'abrv' => 'U2F',
            'display_name' => 'Unit 2 F Mechanical Bldg At Me',
            'nicknames' => null,
            'facilities_id' => '172F',
            'street' => '850 Method Road',
            'street_name' => 'Method Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UAA' => array(
            'abrv' => 'UAA',
            'display_name' => 'Wolf Village Apartments Bldg A',
            'nicknames' => null,
            'facilities_id' => '222A',
            'street' => '2770 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UAB' => array(
            'abrv' => 'UAB',
            'display_name' => 'Wolf Village Apartments Bldg B',
            'nicknames' => null,
            'facilities_id' => '222B',
            'street' => '2780 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UAC' => array(
            'abrv' => 'UAC',
            'display_name' => 'Wolf Village Apartments Bldg C',
            'nicknames' => null,
            'facilities_id' => '222C',
            'street' => '2750 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UAD' => array(
            'abrv' => 'UAD',
            'display_name' => 'Wolf Village Apartments Bldg D',
            'nicknames' => null,
            'facilities_id' => '222D',
            'street' => '2740 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UAE' => array(
            'abrv' => 'UAE',
            'display_name' => 'Wolf Village Apartments Bldg E',
            'nicknames' => null,
            'facilities_id' => '222E',
            'street' => '2720 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UAF' => array(
            'abrv' => 'UAF',
            'display_name' => 'Wolf Village Apartments Bldg F',
            'nicknames' => null,
            'facilities_id' => '222F',
            'street' => '2710 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UAG' => array(
            'abrv' => 'UAG',
            'display_name' => 'Wolf Village Apartments Bldg G',
            'nicknames' => array(0 => 'Wolf Village',),
            'facilities_id' => '222G',
            'street' => '2730 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UAH' => array(
            'abrv' => 'UAH',
            'display_name' => 'Wolf Village Apartments Bldg H',
            'nicknames' => array(0 => 'Wolf Village',),
            'facilities_id' => '222H',
            'street' => '2760 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UB' => array(
            'abrv' => 'UB',
            'display_name' => 'Utility Bldg UFL 494',
            'nicknames' => null,
            'facilities_id' => '494',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'UB2' => array(
            'abrv' => 'UB2',
            'display_name' => 'Utility Bldg UFL 496',
            'nicknames' => null,
            'facilities_id' => '496',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'UB3' => array(
            'abrv' => 'UB3',
            'display_name' => 'Utility Bldg UFL 497',
            'nicknames' => null,
            'facilities_id' => '497',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'UB4' => array(
            'abrv' => 'UB4',
            'display_name' => 'Utility Bldg UFL 498',
            'nicknames' => null,
            'facilities_id' => '498',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'UB5' => array(
            'abrv' => 'UB5',
            'display_name' => 'Utility Bldg UFL 499',
            'nicknames' => null,
            'facilities_id' => '499',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'UG' => array(
            'abrv' => 'UG',
            'display_name' => 'Administrative Services I',
            'nicknames' => array(
                0 => 'Admin 1',
                1 => 'Admin Services 1',
                2 => 'Admin Services I',
                3 => 'Administrative Services 1',
            ),
            'facilities_id' => '122',
            'street' => '2721 Sullivan Drive',
            'street_name' => 'Sullivan Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'UT' => array(
            'abrv' => 'UT',
            'display_name' => 'University Towers (UT)',
            'nicknames' => array(0 => 'UT',),
            'facilities_id' => '',
            'street' => '111 Friendly Drive',
            'street_name' => 'Friendly Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'VAS' => array(
            'abrv' => 'VAS',
            'display_name' => 'Joyner Visitor Center',
            'nicknames' => array(0 => 'Visitor Center',),
            'facilities_id' => '132',
            'street' => '1210 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VC1' => array(
            'abrv' => 'VC1',
            'display_name' => 'Venture Center 1',
            'nicknames' => null,
            'facilities_id' => '750',
            'street' => '940 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VC2' => array(
            'abrv' => 'VC2',
            'display_name' => 'Venture Center II',
            'nicknames' => array(0 => 'Vc 2', 1 => 'Venture 2', 2 => 'Venture center 2', 3 => 'Venture II',),
            'facilities_id' => '752',
            'street' => '920 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VC3' => array(
            'abrv' => 'VC3',
            'display_name' => 'Venture Center III',
            'nicknames' => array(0 => 'Vc 3', 1 => 'Venture 3', 2 => 'Venture center 3', 3 => 'Venture III',),
            'facilities_id' => '753',
            'street' => '900 Main Campus Drive',
            'street_name' => 'Main Campus Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VC4' => array(
            'abrv' => 'VC4',
            'display_name' => 'Venture Center IV',
            'nicknames' => array(0 => 'Vc 4', 1 => 'Venture 4', 2 => 'Venture center 4', 3 => 'Venture IV',),
            'facilities_id' => '754',
            'street' => '1730 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VCP' => array(
            'abrv' => 'VCP',
            'display_name' => 'Parking Deck-Venture Buildings',
            'nicknames' => null,
            'facilities_id' => '750A',
            'street' => '2400 Research Drive',
            'street_name' => 'Research Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VD1' => array(
            'abrv' => 'VD1',
            'display_name' => 'Don E Ellis Building',
            'nicknames' => null,
            'facilities_id' => '133',
            'street' => '1320 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VET' => array(
            'abrv' => 'VET',
            'display_name' => 'Main Vet School',
            'nicknames' => array(0 => 'Vet School',),
            'facilities_id' => '301',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VT1' => array(
            'abrv' => 'VT1',
            'display_name' => 'Poultry House CVM',
            'nicknames' => null,
            'facilities_id' => '343',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTB' => array(
            'abrv' => 'VTB',
            'display_name' => 'Power Plant-Vet Sch',
            'nicknames' => null,
            'facilities_id' => '302',
            'street' => '1076 William Moore Drive',
            'street_name' => 'William Moore Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'VTC' => array(
            'abrv' => 'VTC',
            'display_name' => 'West Barn',
            'nicknames' => null,
            'facilities_id' => '303',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTD' => array(
            'abrv' => 'VTD',
            'display_name' => 'East Barn',
            'nicknames' => null,
            'facilities_id' => '304',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTE' => array(
            'abrv' => 'VTE',
            'display_name' => 'Teaching Animal Unit',
            'nicknames' => null,
            'facilities_id' => '305',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTF' => array(
            'abrv' => 'VTF',
            'display_name' => 'Grounds Shop',
            'nicknames' => null,
            'facilities_id' => '306',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTG' => array(
            'abrv' => 'VTG',
            'display_name' => 'Vet School Unit 1 (Finger Barn',
            'nicknames' => null,
            'facilities_id' => '307',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTH' => array(
            'abrv' => 'VTH',
            'display_name' => 'Vet School Unit 2 (Finger Barn',
            'nicknames' => null,
            'facilities_id' => '308',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTI' => array(
            'abrv' => 'VTI',
            'display_name' => 'Vet School Unit 3 (Finger Barn',
            'nicknames' => array(0 => 'Finger Barn',),
            'facilities_id' => '309',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTJ' => array(
            'abrv' => 'VTJ',
            'display_name' => 'Vet School Unit 4 (Finger Barn',
            'nicknames' => null,
            'facilities_id' => '310',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTK' => array(
            'abrv' => 'VTK',
            'display_name' => 'Vet School Unit 5 (Finger Barn',
            'nicknames' => null,
            'facilities_id' => '311',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTL' => array(
            'abrv' => 'VTL',
            'display_name' => 'Canine Facility I CVM',
            'nicknames' => null,
            'facilities_id' => '345A',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTM' => array(
            'abrv' => 'VTM',
            'display_name' => 'Canine Facility II CVM',
            'nicknames' => null,
            'facilities_id' => '345B',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTN' => array(
            'abrv' => 'VTN',
            'display_name' => 'Freshwater Fish House CVM',
            'nicknames' => null,
            'facilities_id' => '341',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTO' => array(
            'abrv' => 'VTO',
            'display_name' => 'Milking Parlor',
            'nicknames' => null,
            'facilities_id' => '315',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTS' => array(
            'abrv' => 'VTS',
            'display_name' => 'Farrowing House CVM',
            'nicknames' => null,
            'facilities_id' => '322',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTT' => array(
            'abrv' => 'VTT',
            'display_name' => 'Gestation Breeding House CVM',
            'nicknames' => null,
            'facilities_id' => '320',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTV' => array(
            'abrv' => 'VTV',
            'display_name' => 'Leonard Bldg Storage CVM',
            'nicknames' => null,
            'facilities_id' => '328',
            'street' => '1214 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'VTW' => array(
            'abrv' => 'VTW',
            'display_name' => 'Woodchuck Facility',
            'nicknames' => null,
            'facilities_id' => '340',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTY' => array(
            'abrv' => 'VTY',
            'display_name' => 'Oyster Res Fac CVM',
            'nicknames' => null,
            'facilities_id' => '346',
            'street' => '4700 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'VTZ' => array(
            'abrv' => 'VTZ',
            'display_name' => 'CVM Warehouse',
            'nicknames' => null,
            'facilities_id' => '327',
            'street' => '1831 Blue Ridge Road',
            'street_name' => 'Blue Ridge Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'W1' => array(
            'abrv' => 'W1',
            'display_name' => 'Well House UFL 49',
            'nicknames' => null,
            'facilities_id' => '409',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'W2' => array(
            'abrv' => 'W2',
            'display_name' => 'E/Well Pumphouse UFL 463',
            'nicknames' => null,
            'facilities_id' => '463',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'W3' => array(
            'abrv' => 'W3',
            'display_name' => 'Equine Stallion Barn (UFL 118)',
            'nicknames' => null,
            'facilities_id' => '476',
            'street' => '4616 Reedy Creek Road',
            'street_name' => 'Reedy Creek Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WAB' => array(
            'abrv' => 'WAB',
            'display_name' => 'Weaver Administration Bldg',
            'nicknames' => array(0 => 'Weaver', 1 => 'Weaver Admin',),
            'facilities_id' => '117A',
            'street' => '3100 Faucette Drive',
            'street_name' => 'Faucette Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WAL' => array(
            'abrv' => 'WAL',
            'display_name' => 'Walk-In Cooler Horticulture',
            'nicknames' => null,
            'facilities_id' => '464',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WAT' => array(
            'abrv' => 'WAT',
            'display_name' => 'Watauga Residence Hall',
            'nicknames' => array(0 => 'Watauga',),
            'facilities_id' => '010',
            'street' => '2200 Stinson Drive',
            'street_name' => 'Stinson Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WB' => array(
            'abrv' => 'WB',
            'display_name' => 'Weisiger-Brown Ath Fac',
            'nicknames' => array(0 => 'Weisiger Brown', 1 => 'Weisiger Brown Athletic Facility',),
            'facilities_id' => '111',
            'street' => '2500 Warren Carroll Drive',
            'street_name' => 'Warren Carroll Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WCA' => array(
            'abrv' => 'WCA',
            'display_name' => 'Weed Control Lab Storage',
            'nicknames' => null,
            'facilities_id' => '167',
            'street' => '3111 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WCB' => array(
            'abrv' => 'WCB',
            'display_name' => 'Weed Control Lab "B"',
            'nicknames' => null,
            'facilities_id' => '166B',
            'street' => '3121 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WCC' => array(
            'abrv' => 'WCC',
            'display_name' => 'Weed Control Lab "C"',
            'nicknames' => null,
            'facilities_id' => '166C',
            'street' => '3121 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WCD' => array(
            'abrv' => 'WCD',
            'display_name' => 'Weed Control Lab "D"',
            'nicknames' => null,
            'facilities_id' => '166D',
            'street' => '3121 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WCL' => array(
            'abrv' => 'WCL',
            'display_name' => 'Weed Control Lab',
            'nicknames' => null,
            'facilities_id' => '166',
            'street' => '3121 Ligon Street',
            'street_name' => 'Ligon Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WCP' => array(
            'abrv' => 'WCP',
            'display_name' => 'West Chiller Plant',
            'nicknames' => null,
            'facilities_id' => '223',
            'street' => '2761 Wolf Village Way',
            'street_name' => 'Wolf Village Way',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WD1' => array(
            'abrv' => 'WD1',
            'display_name' => 'Wood Residence Hall Bldg A',
            'nicknames' => array(0 => 'Wood Hall',),
            'facilities_id' => '112A',
            'street' => '2531 Warren Carroll Drive',
            'street_name' => 'Warren Carroll Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WD2' => array(
            'abrv' => 'WD2',
            'display_name' => 'Wood Residence Hall Bldg B',
            'nicknames' => null,
            'facilities_id' => '112B',
            'street' => '2521 Warren Carroll Drive',
            'street_name' => 'Warren Carroll Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WD3' => array(
            'abrv' => 'WD3',
            'display_name' => 'Wood Residence Hall Bldg C',
            'nicknames' => array(0 => 'Wood Hall',),
            'facilities_id' => '112C',
            'street' => '2541 Warren Carroll Drive',
            'street_name' => 'Warren Carroll Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WDB' => array(
            'abrv' => 'WDB',
            'display_name' => 'West Dunn Building',
            'nicknames' => array(0 => 'West Dunn',),
            'facilities_id' => '083',
            'street' => '2901 Thurman Drive',
            'street_name' => 'Thurman Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WEL' => array(
            'abrv' => 'WEL',
            'display_name' => 'Welch Res Hall',
            'nicknames' => array(0 => 'Welch',),
            'facilities_id' => '013',
            'street' => '80 Pullen Drive',
            'street_name' => 'Pullen Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WI' => array(
            'abrv' => 'WI',
            'display_name' => 'Withers Hall',
            'nicknames' => null,
            'facilities_id' => '043',
            'street' => '101 Lampe Drive',
            'street_name' => 'Lampe Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WIC' => array(
            'abrv' => 'WIC',
            'display_name' => 'Walk-In Cooler UFL 458',
            'nicknames' => null,
            'facilities_id' => '458',
            'street' => '4301 Beryl Road',
            'street_name' => 'Beryl Road',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WLB' => array(
            'abrv' => 'WLB',
            'display_name' => 'Weaver Labs Garage',
            'nicknames' => null,
            'facilities_id' => '117B',
            'street' => '3112 Faucette Drive',
            'street_name' => 'Faucette Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WMA' => array(
            'abrv' => 'WMA',
            'display_name' => 'Western Manor Apartments ABC',
            'nicknames' => null,
            'facilities_id' => '281',
            'street' => '2300 Lilley Court',
            'street_name' => 'Lilley Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WMD' => array(
            'abrv' => 'WMD',
            'display_name' => 'Western Manor Apartments DEF',
            'nicknames' => null,
            'facilities_id' => '282',
            'street' => '2300 Lilley Court',
            'street_name' => 'Lilley Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WMF' => array(
            'abrv' => 'WMF',
            'display_name' => 'Wendell H. Murphy Football Ctr',
            'nicknames' => array(
                0 => 'Carter Finley',
                1 => 'Football',
                2 => 'Murphy Center',
                3 => 'Vaughn Towers',
            ),
            'facilities_id' => '135F',
            'street' => '4600 Trinity Road',
            'street_name' => 'Trinity Road',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WMG' => array(
            'abrv' => 'WMG',
            'display_name' => 'Western Manor Apartments GH',
            'nicknames' => null,
            'facilities_id' => '283',
            'street' => '2300 Lilley Court',
            'street_name' => 'Lilley Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WMI' => array(
            'abrv' => 'WMI',
            'display_name' => 'Western Manor Apartments IJ',
            'nicknames' => null,
            'facilities_id' => '284',
            'street' => '2300 Lilley Court',
            'street_name' => 'Lilley Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WMK' => array(
            'abrv' => 'WMK',
            'display_name' => 'Western Manor Apartments K',
            'nicknames' => null,
            'facilities_id' => '285',
            'street' => '2300 Lilley Court',
            'street_name' => 'Lilley Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WML' => array(
            'abrv' => 'WML',
            'display_name' => 'Western Manor Apartments L',
            'nicknames' => null,
            'facilities_id' => '286',
            'street' => '2300 Lilley Court',
            'street_name' => 'Lilley Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WMM' => array(
            'abrv' => 'WMM',
            'display_name' => 'Western Manor Apartments M',
            'nicknames' => null,
            'facilities_id' => '287',
            'street' => '2300 Lilley Court',
            'street_name' => 'Lilley Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WMN' => array(
            'abrv' => 'WMN',
            'display_name' => 'Western Manor Apartments NO',
            'nicknames' => null,
            'facilities_id' => '288',
            'street' => '2300 Lilley Court',
            'street_name' => 'Lilley Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WMP' => array(
            'abrv' => 'WMP',
            'display_name' => 'Western Manor Apartments PQ',
            'nicknames' => null,
            'facilities_id' => '289',
            'street' => '2300 Lilley Court',
            'street_name' => 'Lilley Court',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WMS' => array(
            'abrv' => 'WMS',
            'display_name' => 'Williams Hall',
            'nicknames' => null,
            'facilities_id' => '062',
            'street' => '101 Derieux Place',
            'street_name' => 'Derieux Place',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WN' => array(
            'abrv' => 'WN',
            'display_name' => 'Winston Hall',
            'nicknames' => null,
            'facilities_id' => '023',
            'street' => '2301 Hillsborough Street',
            'street_name' => 'Hillsborough Street',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WRB' => array(
            'abrv' => 'WRB',
            'display_name' => 'Wildlife Resources Bldg (Non-N',
            'nicknames' => null,
            'facilities_id' => '758',
            'street' => '1751 Varsity Drive',
            'street_name' => 'Varsity Drive',
            'city' => 'Raleigh',
            'zip' => '27606',
        ),
        'WSB' => array(
            'abrv' => 'WSB',
            'display_name' => 'Dail Softball Stadium Batting',
            'nicknames' => null,
            'facilities_id' => '115E',
            'street' => '2505 2505 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WSC' => array(
            'abrv' => 'WSC',
            'display_name' => 'Witherspoon Student Center',
            'nicknames' => array(0 => 'Student Center', 1 => 'Witherspoon',),
            'facilities_id' => '081',
            'street' => '2810 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'WSP' => array(
            'abrv' => 'WSP',
            'display_name' => 'Dail Softball Stadium Pressbox',
            'nicknames' => null,
            'facilities_id' => '115C',
            'street' => '2505 2505 Cates Avenue',
            'street_name' => 'Cates Avenue',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
        'YDS' => array(
            'abrv' => 'YDS',
            'display_name' => 'Yarbrough Dr Steam Plant',
            'nicknames' => array(0 => 'Steam Plant',),
            'facilities_id' => '029',
            'street' => '2411 Yarbrough Drive',
            'street_name' => 'Yarbrough Drive',
            'city' => 'Raleigh',
            'zip' => '27607',
        ),
    );

    protected $keys;
    protected $length;

    public function __construct()
    {
        $this->keys = array_keys($this->locations);
        $this->length = count($this->keys);
    }

    public function location()
    {
        $k = $this->keys[rand(0, $this->length - 1)];
        
        return $this->locations[$k];
    }
}