<?php
namespace NCSUFaker;

use Faker\Provider\Base;
use Marky\Marky;

class NcsuLoremIpsumProvider extends Base
{
    protected $doglorems=array(
        "Bah.", "Ha ba-bah.", "Ha bubba da ga dah.", "Ha bubba da da bah.", "Ha da ba da ga ta gah.", 
        "Ha da-dah.", "Ha ba bah.", "Ha ba ba da ga da gah.", "Bah.", 
        "Bah! Ba ba bah! Ba ba ba bah! Bababa ba bah! Bah! Bah! (HAAAAAA!) Bah! Ha ba ba bah! Ha bababa (HAAAAAA!)  ba bah! Bah! Ba baba ba (HAAAAAA!) ba bah! Hawawa? Ha! Ha.",
        "Ha wa wah! HAAA! Ha.", "Ha da ba da gah? Ha wa wa bwub.", "Ha ba ba bah.", "Ha wa wa wah...", 
        "HAAA! Ha da ba da! Ha...", "Ha wa wa wah.", "Ha wawa wah! Ha ha.", "Ha da ditch? Ba! Ba da gah?"
    );

    protected $trololos=array(
        "Ahhhhhhhhh\nYa ya yaaaah\nYa ya yaaah\nYaaah ya yah",
        "Ohohohohoooo Oh ya yaaah\nYa ya yaaah\nYaaah ya yah",
        "Ye-ye-ye-ye-yeh\nYe-ye-yeh\nYe-ye-yeh\nOhohohohoh",
        "Ye-ye-ye-ye-yeh\nYe-ye-yeh\nYe-ye-yeh\nOhohohohooooooooooo\nAaaaoooooh aaaooo\nHooo haha",
        "Nah nah nah nah\nNuh nuh nuh\nNuh nuh nuh\nNuh nuh nuh\nNuh nuh nah!",
        "Nah nah nah nah nun\nNun-ah nun\nNun-ah nuh\nNah nah nah nah nah!",
        "Nah nah nah nah Naaaaaaaaaaaaaaaaaaaaaaaaah!\nDah dah daaaaaaaaaah...\nDa-da-dah....\nDaaah..\nDa-dah...",
        "Lololololoooooooooooooo!",
        "Lah la-laaah\nLa la laaah\nlol\nhaha",
        "Ohohohoho\nho-ho-ho\nho-ho-ho\noh-ho-ho-ho-ho",
        "Ohohohoho\nho-ho-ho\nho-ho-ho\nLololololooo...",
        "AAIIEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE\neeeee-eeeee-EEEEEEEEE!",
        "Luh-luh-lah...\nLah\nLah-lah",
        "Ohohohohooooooooo!\nBOPadududu-dah-da-du-daaaah!\nDa-da-daaaah\nDaaah\nDa-daaah...",
        "Lololololo\nlololo\nlololol\nLalalalah!",
        "Trololololo\nlalala",
        "Oh-hahaha-ho\nHaha-hehe-ho\nHohoho-he-ho\nHahahaha-ho",
        "Lolololololo\nLolololololo\nLolololololo\nLololo-LOL!",
        "Aaaaaaaaaaahhhhhhhhhhhhh!\nLa-la-laaaah!\nLa la laaaah!\nLaaaah\nLa-lah...",
        "Ohohohohoooooooooo!\nLa,\nla-laaah!\nLa-la-laaah\nlol\nhaha...",
        "Lololololo\nLololo\nLololo",
        "Ohohohoho!",
        "Lololololol\nLololo\nLololo",
        "Ohohohohooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo!"
    );

    protected $jasonSpeak=array(
        "I'm in a meeting.",
        "I'm in meetings all morning.",
        "I'll be in meetings all day.",
        "I will probably stay over in that area as I have another meeting at 2:30.",
        "If we can't make it work today, we can also look at next week.",
        "Bring your lunch and we'll have a working meeting to discuss the agenda for our Wednesday meeting.",
        "Just wanted to give you a heads up on a few issues on the agenda for our meeting this afternoon.",
        "There are some red velvet cupcakes in the fridge on the 2nd floor of Page.",
        "Creating this backup event in case we get booted from 109 on Tuesday. If I can find a back-up room before then, we'll try to keep the meeting to Tuesday afternoon.",
        "Per the Slack discussion - let's talk about what is and isn't working well.",
        "I believe this idea has merit and is something we should consider as a team.",
        "I am really just looking at a straw-man here to further this conversation.",
        "I'll be available online and via hangout if necessary.",
        "We'll get started as soon after that as we can.",
        "Feel free to add areas of discussion that aren't on the agenda."
    );

    public function dogOfWisdomIpsum($sentences=5)
    {
      return $this->randomSentences($this->doglorems,$sentences);
    }

    public function trololoIpsum($sentences=5)
    {
      return $this->randomSentences($this->trololos,$sentences);
    }

    public function jasonIpsum($sentences=5)
    {
      return $this->randomSentences($this->jasonSpeak,$sentences);
    }

    public function superJasonIpsum($sentences=5)
    {
      $marky = Marky::fromString(implode(' ', $this->jasonSpeak));
      $generatedText = $marky->generate($sentences * 200);

      $parts = explode('.', $generatedText);
      array_shift($parts);
      $parts = array_map(function($part) { return trim($part); }, $parts);

      return implode('. ', array_slice($parts, 0, $sentences));
    }

    protected function randomSentences($lorem, $sentences)
    {
      $c = count($lorem);

      if ($sentences <= 0 || !is_numeric($sentences)) {
        $sentences=rand(2, $c);
      }


      $that=$this;

      if ($sentences > $c) {
          return $this->randomSentences($lorem,$sentences-$c) . " " . $this->randomSentences($lorem,$c);
      }

      $lorems = array_map(function($k) use ($lorem) { return $lorem[$k]; }, (array)array_rand($lorem, $sentences));

      return implode(" ", $lorems);
    }
}
