<?php
namespace NCSUFaker;

use Faker\Provider\Base;

class OuProvider extends Base
{
    protected $units = array(
       '01'=> "Chancellor",
       '02'=> "Vice Chancellor / Provost",
       '04'=> "Graduate School",
       '06'=> "Ofc Research, Innov & Econ Dev",
       '08'=> "Office of Univ Advancement",
       '09'=> "McKimmon Ctr & Continuing Educ",
       '10'=> "Athletics",
       '11'=> "College Of Agriculture & Life",
       '12'=> "College of Design",
       '13'=> "College of Education",
       '14'=> "College Of Engineering",
       '15'=> "College of Natural Resources",
       '16'=> "College Of Humanities & Social",
       '17'=> "College of Sciences",
       '18'=> "College Of Textiles",
       '19'=> "College Of Veterinary Medicine",
       '20'=> "Poole College Of Management",
       '24'=> "Div of Acad and Stu Affairs",
       '25'=> "NCSU Libraries",
       '27'=> "Office of General Counsel",
       '32'=> "Division Of Enrollment Mgt & S",
       '33'=> "Academic Outrch & Entrepreneur",
       '38'=> "Office Inst Equity & Diversity",
       '39'=> "Office of Int'l Affairs-OIA",
       '41'=> "Vice Chancellor For Fin & Bus",
       '42'=> "Assoc VC for EH & PS Div",
       '43'=> "Centennial Campus Development",
       '44'=> "Facilities Division",
       '45'=> "Business Operations",
       '46'=> "Finance & Resource Management",
       '47'=> "Campus Enterprises",
       '48'=> "Human Resources",
       '49'=> "Treasurer's Office",
       '51'=> "Office of Info Technology-OIT",
       '97'=> "Intrainstitutional Programs"
    );

    protected $departmentsByOrganizationalUnit = array(
        "Chancellor"=> array(
            "010101"=>"Chancellor's Office And Staff",
            "010501"=>"External Affairs",
            "012001"=>"Kenan Institute For Engr, Tech",
            "012101"=>"Park Scholars",
            "012201"=>"Institute of Emerging Issues",
            "012301"=>"Emerging Issues Forum",
            "014101"=>"Internal Audit Division",
        ), "Vice Chancellor / Provost"=> array(
            "020101"=>"Provost's Office",
            "020120"=>"NCSU Entrepreneurship Program",
            "020301"=>"Advanced Analytics",
            "020401"=>"Provost Office Administration",
            "021201"=>"Faculty Senate",
            "022201"=>"Institutional Res. & Planning",
            "022601"=>"Office of Faculty Development",
        ), "Graduate School"=> array(
            "040101"=>"Graduate School-Dean's Office",
        ), "Ofc Research, Innov & Econ Dev"=> array(
            "060101"=>"Ofc Research, Innov & Econ Dev",
            "060102"=>"Research - Office Of Technolog",
            "060801"=>"Research-College Support",
            "061001"=>"Water Resources Research",
            "061101"=>"Cent Camp Partnership-Research",
            "061201"=>"Ctr for Marine Science & Tech",
            "061301"=>"Economic Development",
            "061501"=>"Sea Grant Program",
            "061601"=>"Ctr for Human Health & the Env",
            "061801"=>"Lab for Analytic Sciences",
            "061901"=>"Center on GES",
            "062001"=>"Institute For Trans Research &",
            "062101"=>"Small Bus Tech Dev Ctr",
            "062201"=>"SBTDC-Captial Center",
            "062301"=>"NG Pwr Elec Natl Mfg Innovatio",
            "063001"=>"NC Inst of Climate Studies",
            "066001"=>"Cellular & Molecular Imaging",
            "067001"=>"Genomics Research Lab",
        ), "Office of Univ Advancement"=> array(
            "080101"=>"Office of Univ Advancement",
            "081001"=>"University Communications",
            "081101"=>"News Services",
            "081401"=>"Creative Services",
            "081601"=>"Web Communications",
            "081701"=>"Communication Services",
            "082101"=>"University Development",
            "082201"=>"Constituency Development Progr",
            "082301"=>"The N.C. State Annual Fund",
            "083001"=>"Alumni Relations",
            "085001"=>"Advancement Services",
        ), "McKimmon Ctr & Continuing Educ"=> array(
            "093001"=>"McKimmon Ctr-Ext & Cont Ed/NCR",
            "093002"=>"MCE&CE/Print Shop",
            "093003"=>"Admin Support Services",
            "093006"=>"Gateway Tech Ctr / Rocky Mount",
            "094001"=>"Urban Affairs & Community Serv",
            "095001"=>"McKimmon Conf & Training Ctr",
            "096001"=>"Office of Prof Development",
            "097001"=>"Technology Training Solutions",
            "098001"=>"Osher Lifelong Learning Inst.",
        ), "Athletics"=> array(
            "100101"=>"Athletics - Director & Staff",
            "100102"=>"Sports Information",
            "100104"=>"Training Room",
            "100105"=>"Football - Men",
            "100106"=>"Basketball - Men",
            "100107"=>"Baseball - Men",
            "100108"=>"Golf - Men",
            "100109"=>"Rifle",
            "100110"=>"Tennis - Men",
            "100111"=>"Swimming - Men",
            "100112"=>"Track - Men",
            "100113"=>"Soccer - Men",
            "100115"=>"Wrestling - Men",
            "100118"=>"Stadium",
            "100127"=>"Athletics - Media Relations An",
            "100128"=>"Athletics - Equipment Room",
            "100129"=>"Athletics - Weight Room",
            "100132"=>"Revenue Sports/athletic Suppor",
            "100133"=>"Varsity Sports/student Service",
            "100134"=>"Athletics-business & Operation",
            "100135"=>"Athletics-ticket & Event Admin",
            "100136"=>"Athletics-game Operations",
            "100138"=>"Athletics-video Operations",
            "100139"=>"Athletics-physical Plant Labor",
            "100151"=>"Basketball - Women",
            "100153"=>"Soccer - Women",
            "100154"=>"Volleyball - Women",
            "100156"=>"Tennis - Women",
            "100157"=>"Gymnastics - Women",
            "100158"=>"Track - Women",
            "100159"=>"Softball",
            "105101"=>"Coliseum Operations",
        ), "College Of Agriculture & Life"=> array(
            "110101"=>"CALS - Academic Programs",
            "110102"=>"Dean's Office - CALS",
            "110103"=>"CALS IT",
            "110107"=>"CALS Diversity Programs",
            "110108"=>"CALS Personnel Services",
            "110109"=>"Food Sys Leadership Institute",
            "110199"=>"Agriculture Related Foundation",
            "110201"=>"Agricultural Institute - Admin",
            "110236"=>"Agricultural Institute - Other",
            "110280"=>"Agricultural Institute - Econo",
            "110301"=>"Administration - Research Serv",
            "110304"=>"International Agriculture",
            "110305"=>"CALS Business Office",
            "110308"=>"Kannapolis Research",
            "110311"=>"Bioenergy Technologies",
            "110401"=>"Administration - Extension Ser",
            "110403"=>"District Directors",
            "110404"=>"Ag And Natural Resources/comm",
            "110408"=>"CALS Personnel Services",
            "110410"=>"Foundation",
            "110501"=>"Cals-Communication Services",
            "110701"=>"Animal Science",
            "110705"=>"Dairy Records Processing",
            "110801"=>"Plant and Microbial Biology",
            "110804"=>"Plant & Microbial Bio Awards",
            "110901"=>"Crop Science",
            "110904"=>"Turf Grass Center",
            "111001"=>"Entomology",
            "111101"=>"Food,Bioprocess & Nutrition Sc",
            "111102"=>"Dairy And Process Applications",
            "111201"=>"Genetics",
            "111301"=>"School Of Human Environmental",
            "111401"=>"Youth, Family & Community Sci.",
            "111501"=>"Horticultural Science",
            "111502"=>"Ctr for Env Farming Sys (CEFS)",
            "111503"=>"Arboretum in Hort Science Dept",
            "111601"=>"Microbiology",
            "111701"=>"Phytotron",
            "111801"=>"Plant Pathology",
            "111901"=>"Poultry Science",
            "111902"=>"Dept Of Poultry Science",
            "112001"=>"Soil Science",
            "112101"=>"Applied Ecology",
            "112104"=>"Applied Aquatic Ecology Center",
            "112301"=>"Toxicology",
            "112401"=>"4-H Youth Dev & Fam & Cons Sci",
            "112402"=>"Eastern 4H Envir Ed Conference",
            "112412"=>"Betsy-jeff Penn 4-H Camp",
            "112413"=>"Millstone 4-CAMP",
            "112418"=>"Sertoma 4-H Camp",
            "112501"=>"Agricultural & Extension Educa",
            "112503"=>"Ag And Ext Education-ffa Progr",
            "112801"=>"Physiology Program",
            "113708"=>"Personal Org. Development",
            "113803"=>"Mtn Hort Crops Research & Exte",
            "113804"=>"V G James Research And Extensi",
            "113810"=>"Integrated Pest Mgmt-Research",
            "115001"=>"Research Stations",
            "115002"=>"Sandhills Research Station",
            "115003"=>"Central Crops Research Station",
            "115004"=>"Mountain Horticultural Crops R",
            "115005"=>"Horticultural Crops Research S",
            "115006"=>"Upper Piedmont Research Statio",
            "115007"=>"Lower Coastal Plain Tobacco Re",
            "115101"=>"University Field Laboratories",
            "115201"=>"Butner Beef Cattle Field Lab",
            "116101"=>"County Program Operations",
            "116105"=>"Extension Information Tech",
            "117102"=>"West District - Avery",
            "117103"=>"West District - Buncombe",
            "117104"=>"West District - Cherokee",
            "117105"=>"West District - Clay",
            "117106"=>"West District - Graham",
            "117107"=>"West District - Haywood",
            "117108"=>"West District - Henderson",
            "117109"=>"West District - Jackson",
            "117110"=>"West District - Macon",
            "117111"=>"West District - Madison",
            "117112"=>"West District - Mitchell",
            "117113"=>"West District - Swain",
            "117114"=>"West District - Transylvania",
            "117115"=>"West District - Yancey",
            "117119"=>"West District - EBCI",
            "117121"=>"West District - Watauga",
            "117122"=>"West District- Burke",
            "117123"=>"West District- Caldwell",
            "117124"=>"West District- Cleveland",
            "117125"=>"West District- Rutherford",
            "117135"=>"West District - McDowell",
            "117136"=>"West District - Polk",
            "117221"=>"Southwest District - Catawba",
            "117238"=>"W Central District - Rowan",
            "117503"=>"North Central District - Frank",
            "117509"=>"North Central District - Vance",
            "117513"=>"North Central District-Caswell",
            "117514"=>"North Central District - Granv",
            "117515"=>"North Central District - Perso",
            "117517"=>"North Central District - Durha",
            "117518"=>"North Central District - Orang",
            "117521"=>"North Central District- Allegh",
            "117522"=>"North Central District- Ashe",
            "117523"=>"North Central District- Davie",
            "117524"=>"North Central District- Surry",
            "117525"=>"North Central District- Wilkes",
            "117526"=>"North Central District- Yadkin",
            "117535"=>"North Central District- Alaman",
            "117536"=>"North Central District- Chatha",
            "117537"=>"North Central District- Davids",
            "117538"=>"North Central District- Forsyt",
            "117539"=>"North Central District- Guilfo",
            "117540"=>"North Central District- Randol",
            "117541"=>"North Central District- Rockin",
            "117542"=>"North Central District- Stokes",
            "117602"=>"South Central District - Anson",
            "117606"=>"South Central District - Cumbe",
            "117607"=>"South Central District - Hoke",
            "117608"=>"South Central District - Lee",
            "117609"=>"South Central District - Montg",
            "117610"=>"South Central District - Moore",
            "117611"=>"South Central District - Richm",
            "117614"=>"South Central District - Scotl",
            "117616"=>"South Central District - Harne",
            "117617"=>"South Central District - Stanl",
            "117622"=>"South Central District- Alexan",
            "117623"=>"South Central District- Catawb",
            "117624"=>"South Central District- Gaston",
            "117625"=>"South Central District- Iredel",
            "117626"=>"South Central District- Lincol",
            "117627"=>"South Central District- Meckle",
            "117628"=>"South Central District- Rowan",
            "117635"=>"South Central District- Cabarr",
            "117636"=>"South Central District- Union",
            "117702"=>"Northeast District - Bertie",
            "117703"=>"Northeast District - Camden",
            "117704"=>"Northeast District - Chowan",
            "117705"=>"Northeast District - Currituck",
            "117706"=>"Northeast District - Dare",
            "117707"=>"Northeast District - Gates",
            "117708"=>"Northeast District - Hertford",
            "117709"=>"Northeast District - Hyde",
            "117710"=>"Northeast District - Martin",
            "117711"=>"Northeast District - Pasquotan",
            "117712"=>"Northeast District - Perquiman",
            "117713"=>"Northeast District - Tyrrell",
            "117714"=>"Northeast District - Washingto",
            "117715"=>"Northeast District - Beaufort",
            "117716"=>"Northeast District - Pitt",
            "117717"=>"Northeast District - Northampt",
            "117721"=>"Northeast District- Franklin",
            "117722"=>"Northeast District- Wake",
            "117723"=>"Northeast District- Warren",
            "117735"=>"Northeast District - Edgecombe",
            "117736"=>"Northeast District - Halifax",
            "117737"=>"Northeast District - Nash",
            "117803"=>"Southeast District - Carteret",
            "117804"=>"Southeast District - Craven",
            "117805"=>"Southeast District - Duplin",
            "117806"=>"Southeast District - Greene",
            "117807"=>"Southeast District - Jones",
            "117808"=>"Southeast District - Lenoir",
            "117809"=>"Southeast District - New Hanov",
            "117810"=>"Southeast District - Onslow",
            "117811"=>"Southeast District - Pamlico",
            "117812"=>"Southeast District - Pender",
            "117814"=>"Southeast District - Wayne",
            "117816"=>"Southeast District - Brunswick",
            "117817"=>"Southeast District - Sampson",
            "117821"=>"Southeast District- Bladen",
            "117822"=>"Southeast District- Columbus",
            "117823"=>"Southeast District- Robeson",
            "117835"=>"Southeast District - Johnston",
            "117836"=>"Southeast District - Wilson",
            "118001"=>"Ag & Resource Economics",
            "118002"=>"Ctr for Env & Res Econ Policy",
            "118101"=>"Biological And Agricultural En",
            "118201"=>"Adult & Community College Educ",
            "118301"=>"Sociology And Anthropology",
            "118401"=>"Biochemistry",
            "118501"=>"Statistics",
            "118502"=>"Bioinformatics Research Center",
            "118601"=>"Biotechnology Teaching",
        ), "College of Design"=> array(
            "120101"=>"College of Design",
            "120102"=>"School of Architecture",
            "120104"=>"Landscape Architecture Dept",
            "120106"=>"Prague Institute",
            "120201"=>"Architecture",
            "120301"=>"Graphic & Industrial Design",
            "120401"=>"Landscape Architecture",
            "120501"=>"Art and Design",
            "120601"=>"Industrial Design",
            "120701"=>"Information Technology Lab",
            "120801"=>"Materials Lab",
            "121001"=>"Design Research",
            "121006"=>"Natural Learning Initiative",
            "121101"=>"PhD in Design",
            "121201"=>"Design - Student Affairs",
        ), "College of Education"=> array(
            "130101"=>"College Of Education",
            "130701"=>"Education Research",
            "130802"=>"Learning Resources Library",
            "131001"=>"General School - Education",
            "131002"=>"Computer Facility",
            "131101"=>"TELS",
            "131201"=>"Curr, Instr & Counselor Ed-CED",
            "131301"=>"Sci, Tech, Engr & Math (STEM)",
            "131303"=>"Dept Of Math & Science Educ -",
            "131401"=>"CED General Support",
            "131601"=>"ELPHD",
            "131701"=>"Strengthen Teacher Education &",
            "131901"=>"Model Clinical Teaching Progra",
            "132001"=>"Internat'l & Dist Ed Alliance",
            "132101"=>"Teacher Education Partnership",
            "137901"=>"FI/CED Research Fellows",
            "138201"=>"Adult & Higher Education",
            "138203"=>"Moore's Distinguish Award",
            "139001"=>"Friday Institute",
        ), "College Of Engineering"=> array(
            "140101"=>"College Of Engineering-dean's",
            "140150"=>"NC Clean Energy Technology Ctr",
            "140170"=>"FREEDM Center",
            "140172"=>"Adv Self-pwr Sys Integr SensrT",
            "140188"=>"COE-Dean's Offic Grads & Temps",
            "140199"=>"Engineering Foundation",
            "140201"=>"Chemical & Biomolecular Engr",
            "140240"=>"Chemical & Biomolecular C&G",
            "140288"=>"Chemical & Biomolecular G&T",
            "140301"=>"Civil Const & Environ Engineer",
            "140388"=>"Civil Engineering Grads & Temp",
            "140401"=>"Electrical & Computer Engr.",
            "140444"=>"Power America - ECE",
            "140488"=>"Electrl & Comp Engr Grad &Temp",
            "140501"=>"Engineering Research",
            "140502"=>"Precision Machine Research",
            "140601"=>"Fitts Dept Indust & Syst Engr",
            "140604"=>"Fitts Dep Ind & Syst Eng-ERGO",
            "140610"=>"Ctr Addit Manf & Log-CAMAL",
            "140652"=>"Fitts Ind & Sys Eng-ERGO C&G",
            "140688"=>"Fitts Ind & Syst Eng Grad Temp",
            "140701"=>"IES Operations",
            "140788"=>"IES Grads & Temps P/S",
            "140801"=>"Materials Science &Engineering",
            "140888"=>"Materials Sci Engr-Grads&Temps",
            "140901"=>"Mechanical & Aerospace Engr",
            "140940"=>"Mech & Aerospace Engr Contract",
            "140944"=>"PEC - Mechanical & Aerospace E",
            "140945"=>"NC Space Grant",
            "140988"=>"Mech & Aero Engr Grads & Temps",
            "141001"=>"Minerals Research Laboratory",
            "141101"=>"Nuclear Engineering",
            "141107"=>"Adv Simulation of Lght Wt Rect",
            "141130"=>"CNEC",
            "141140"=>"Nuclear Engr Contracts & Grant",
            "141188"=>"Nuclear Grad & Temp",
            "141201"=>"Nuclear Reactor Program",
            "141601"=>"Engineering Online",
            "141688"=>"Online-Distance Ed Grads/Temps",
            "141901"=>"Computer Science-engr",
            "141988"=>"Computer Sci-Engr Grads & Temp",
            "142301"=>"Operations Research-engr",
            "142388"=>"Operations Research Grads/Temp",
            "142401"=>"Integrated Manufacturing Sys E",
            "142488"=>"Integrated Mfg Sys Engr Instit",
            "142901"=>"Leazar Hall Computer Facility-",
            "143201"=>"Engineering-Academic Affairs",
            "143288"=>"Engr-Acad Affairs Grads & Temp",
            "143301"=>"Engineering Research Administr",
            "143401"=>"Info Tech & Eng Computer Svcs",
            "143402"=>"Student Owned Computing",
            "143488"=>"Engr-Compt Op Grads & Temps",
            "143601"=>"Engineering-computer Fees",
            "143801"=>"Dean Of Engineering/foundation",
            "144301"=>"IES Engineering & Technology",
            "144401"=>"Egrc",
            "145601"=>"C.O.E. - Business & Finance",
            "146901"=>"MS Comp Networking-ECE",
            "147001"=>"MS Comp Networking-CSC",
            "147501"=>"Biomedical Program - ENG",
            "147588"=>"Biomedical Program-Grad Appts",
            "148501"=>"BTEC-Biomfg Training Ed Ctr",
            "148701"=>"Microelectronics Research Cent",
        ), "College of Natural Resources"=> array(
            "150101"=>"College of Natural Resources",
            "150103"=>"Ctr. for Geospatial Analytics",
            "150201"=>"Parks, Recreation & Tourism Mg",
            "150301"=>"Forest Biomaterials",
            "150401"=>"For & Envir Res Acad Research",
            "150402"=>"Forestry Extension",
            "150403"=>"Fisheries and Wildlife Program",
            "150404"=>"FER Tree Physiology",
            "150405"=>"Tree Improvement Cooperative",
            "150406"=>"The Forest Nutrition Cooperati",
            "150407"=>"FER-Ctr for Earth Observation",
            "150413"=>"CAMCORE-Cooperative",
            "150417"=>"Forest Biotech Program",
        ), "College Of Humanities & Social"=> array(
            "160101"=>"College Of Humanities & Soc SC",
            "160150"=>"Dean's Office Research",
            "160201"=>"English",
            "160301"=>"History",
            "160401"=>"Foreign Languages And Literatu",
            "160501"=>"Philosophy & Religious Studies",
            "160601"=>"Public & International Affairs",
            "160701"=>"Communication",
            "160801"=>"Comm, Rhetoric & Digital Media",
            "161001"=>"Interdisciplinary Studies",
            "162701"=>"Social Work",
            "162901"=>"CHASS IT",
            "164501"=>"Psychology",
            "166101"=>"Ctr Fam & Community Engagement",
            "166201"=>"Institute for Nonprofits",
            "166301"=>"KCLDS",
            "168301"=>"Sociology & Anthropology",
        ), "College of Sciences"=> array(
            "170101"=>"College of Sciences - Dean",
            "170102"=>"STEM:Science,Tech,Engin,&Math",
            "170188"=>"Dean's Office Grads & Temps",
            "170301"=>"Mathematics",
            "170340"=>"Math Research",
            "170388"=>"Mathematics - Grads & Temps",
            "170501"=>"College of Sciences Research",
            "170522"=>"Biological Resources Facility",
            "170588"=>"Sciences Grads & Temps",
            "170601"=>"Physics",
            "170688"=>"Physics Grads & Temps",
            "170701"=>"Chemistry",
            "170788"=>"Chemistry Grads & Temps",
            "171301"=>"WISE Program",
            "171401"=>"Sciences Machine Shop",
            "171701"=>"The Science House-Sciences",
            "171788"=>"The Sci House Grads & Temps",
            "172201"=>"Biological Sciences",
            "172211"=>"Climate Center",
            "172240"=>"Biological Sciences Research",
            "172288"=>"Biological Sci Grads and Temps",
            "174102"=>"Bioinformatics Res Ctr",
            "174140"=>"Bioinformatics Research-Grants",
            "174201"=>"CRSC  supplementary",
            "174202"=>"CQSB",
            "174240"=>"CRSC - Grants",
            "174242"=>"CQSB research",
            "178501"=>"Statistics",
            "178588"=>"Statistics Grad & Temp",
            "178601"=>"Marine, Earth And Atmospheric",
            "178640"=>"Marine, Earth & Atmospheric SC",
            "178688"=>"Mar, Earth & Atmos Sci Grad-Tm",
            "179501"=>"Sciences-State Climate Office",
            "179588"=>"State Climate Ofc Grads&Temps",
        ), "College Of Textiles"=> array(
            "180101"=>"College Of Textiles-dean's Off",
            "180401"=>"Textile Extension",
            "180701"=>"Textile & Apparel, Technology",
            "182301"=>"Textiles Services - Media",
            "183501"=>"Nonwovens Institute",
            "186401"=>"Textile Engineering, Chemistry",
            "186901"=>"Thermal Protection & Comfort C",
        ), "College Of Veterinary Medicine"=> array(
            "190101"=>"College Of Veterinary Medicine",
            "190102"=>"CVM-ACCOUNTING And Research",
            "190108"=>"CVM-ACADEMIC Affairs",
            "190199"=>"Vet Med Foundation",
            "190201"=>"Business Office",
            "190501"=>"Ctr Comp Med & Trans Resrch",
            "190701"=>"Property Management",
            "191201"=>"Educational Media & Design",
            "191602"=>"CVM Teaching Animal Unit",
            "191701"=>"VERC (959c/0372)",
            "191901"=>"Research",
            "192001"=>"CVM Teaching Hospital",
            "192012"=>"Admin. Services",
            "193001"=>"Animal Resources",
            "193301"=>"Central Proced Lab - CVM",
            "194001"=>"Dept Molecular Biomedical Scie",
            "195001"=>"Dept of Clinical Sciences",
            "196001"=>"Dept-Population,Health,Pathobi",
            "196901"=>"Ctr Chem Toxic/Residue Pharmac",
            "197001"=>"Dept.microbiology, Pathology &",
            "197401"=>"Histology Lab",
        ), "Poole College Of Management"=> array(
            "200101"=>"Dean's Office-Poole COM",
            "200201"=>"MBA Program-Poole COM",
            "200401"=>"Poole COM-Acad Affairs",
            "200701"=>"Executive Education Progr",
            "201001"=>"Accounting-Poole COM",
            "202001"=>"Business Management-Poole COM",
            "203001"=>"Economics-Poole COM",
            "204001"=>"Mgmt, Innovation&Entrepreneur",
            "205001"=>"Computing Services-Poole COM",
        ), "Div of Acad and Stu Affairs"=> array(
            "240101"=>"Acad Stu Aff-VC and Dean Off",
            "240110"=>"Acad Stu Aff-Tech Services",
            "240120"=>"Acad Stu Aff-Assessment",
            "240130"=>"Acad Stu Aff-Business Adm",
            "240140"=>"Acad Stu Aff-Development",
            "240201"=>"Acad Sup Prog For Stu Athl",
            "240301"=>"Quality Enhancement Plan",
            "240401"=>"Office of Assessment",
            "240402"=>"New Student Programs",
            "240403"=>"University Tutorial Center",
            "240404"=>"Disability Services Office",
            "240405"=>"TRIO Programs",
            "242101"=>"Campus Life",
            "242121"=>"Campus Life-Finance",
            "242131"=>"Campus Life-Information Tech",
            "242141"=>"Campus Life-Facilities",
            "242201"=>"Campus Life-University Housing",
            "242210"=>"Univ Housing-Conferences",
            "242220"=>"Univ Housing-Student Programs",
            "242230"=>"Univ Housing-Assign,Mrkting",
            "242240"=>"Univ Housing-West Campus",
            "242250"=>"Univ Housing-Central Campus",
            "242260"=>"Univ Housing-East Campus",
            "242270"=>"University Housing-Apartments",
            "242271"=>"Univ Housing-ES King Village",
            "242272"=>"Western Manor",
            "242273"=>"Wolf Village Apartments",
            "242274"=>"Wolf Ridge Apartments",
            "242301"=>"Greek Life",
            "243001"=>"Arts NC State",
            "243011"=>"Arts Development",
            "243012"=>"Arts Marketing",
            "243020"=>"Center Stage",
            "243030"=>"Crafts Center",
            "243050"=>"Gregg Museum",
            "243070"=>"Ticket Central",
            "244001"=>"Stu Dev Health and Wellness",
            "244010"=>"Career Development Center",
            "244020"=>"Counseling Services",
            "244030"=>"Student Health Services",
            "244040"=>"University Recreation",
            "244060"=>"Stu Leadership and Engagement",
            "244080"=>"Office of Student & Community",
            "246101"=>"Academic Programs and Services",
            "246121"=>"Acad Prog Ser Advising Support",
            "246150"=>"Undergraduate Research",
            "246190"=>"TRIO Programs",
            "247001"=>"University Honors Program",
            "247101"=>"University Scholars Program",
            "248101"=>"Environmental Sciences",
            "248201"=>"First Year College",
            "248301"=>"Health and Exercise Studies",
            "248401"=>"Music",
            "248501"=>"Air Force ROTC",
            "248601"=>"Army ROTC",
            "248701"=>"Naval ROTC",
            "248801"=>"Dance",
            "248901"=>"University Theatre",
        ), "NCSU Libraries"=> array(
            "250101"=>"NCSU Libraries",
            "250201"=>"Photocopy Services",
            "251001"=>"Directors Office",
            "251101"=>"Personnel",
            "252101"=>"Access Services",
            "252401"=>"Stack Maintenance",
            "256001"=>"Acquisitions",
            "256301"=>"Digital Library",
            "256401"=>"Preservation",
            "256501"=>"Research & Information Service",
            "256801"=>"Interlibrary",
            "256901"=>"Special Collections",
            "257001"=>"Systems",
            "257101"=>"Friends Of The Library",
            "258101"=>"Design Library",
            "258201"=>"Natural Resources Library",
            "258401"=>"Veterinary Medical Library",
        ), "Office of General Counsel"=> array(
            "270101"=>"Office of General Counsel",
        ), "Division Of Enrollment Mgt & S"=> array(
            "320101"=>"Admissions",
            "320201"=>"Registration And Records",
            "320401"=>"Commencement",
            "320601"=>"Parents and Family Services",
            "320801"=>"Goodnight Scholars Program",
            "321001"=>"EMAS-Enrollment Mgt & Services",
            "321002"=>"Visitor Center",
            "322501"=>"Scholarships & Financial Aid",
        ), "Academic Outrch & Entrepreneur"=> array(
            "331001"=>"DELTA Vice Provost",
            "331002"=>"DELTA Marketing",
            "332001"=>"Distance Education",
            "332002"=>"DELTA Distance Ed Services",
            "332006"=>"Media Production Services",
            "333002"=>"DELTA Video Communications SVC",
            "333004"=>"Instructional Support Services",
            "336101"=>"Shelton Leadership Center",
            "336201"=>"NCSU Entrepreneurship Program",
            "339001"=>"DELTA",
        ), "Office Inst Equity & Diversity"=> array(
            "383101"=>"Office Inst Equity & Diversity",
            "383301"=>"Multicultural Student Affairs",
            "383501"=>"Women's Center",
            "383502"=>"GLBT Center",
            "383504"=>"African American Cultural Ctr",
        ), "Office of Int'l Affairs-OIA"=> array(
            "390101"=>"Office of Int'l Affairs-OIA",
            "390201"=>"Office of International Svcs",
            "390301"=>"Study Abroad",
            "390401"=>"Japan Center",
            "390501"=>"Confucius Institute",
            "390601"=>"Intensive English Program",
            "390701"=>"Global Training Initiative",
        ), "Vice Chancellor For Fin & Bus"=> array(
            "410101"=>"Vice Chanc For Finance & Busin",
        ), "Assoc VC for EH & PS Div"=> array(
            "420501"=>"Information Technology-EHPS",
            "424001"=>"Transportation",
            "425001"=>"Public Safety",
            "425301"=>"Public Safety Support Services",
            "426001"=>"EH & SC - Health And Safety",
            "426301"=>"Environmental Health & Safety",
            "426302"=>"EH&PS Div-EH&S Ctr-Bus Cont",
        ), "Centennial Campus Development"=> array(
            "430101"=>"Centennial Campus Development",
        ), "Facilities Division"=> array(
            "440101"=>"Assoc Vice Chancellor For Faci",
            "440301"=>"Facilities Budget Office",
            "441601"=>"Capital Project Management",
            "441901"=>"University Architect's Office",
            "442001"=>"Design and Construction Svcs",
            "443101"=>"Asst. VC Facilities Operations",
            "443301"=>"Utilities & Engineering Svces",
            "443401"=>"Repair and Renovation",
            "443409"=>"Spec Proj Dir Repair & Renov",
            "443501"=>"Housekeeping Services",
            "443601"=>"Grounds Maintenance",
            "443701"=>"Bldg Maint & Oper-CBC",
            "443801"=>"Bldg Main & Oper-Orig Campus",
            "443807"=>"Special Projects",
            "443901"=>"Facilities Human Resources",
            "444001"=>"Business Services",
            "444101"=>"Fleet Services",
            "444201"=>"Motor Pool Services",
            "444401"=>"Central Utility Plant Zone 1",
            "444601"=>"Housekeeping Student Housing",
            "444901"=>"Motor Vehicles-Motor Pool",
            "445001"=>"Centennial Campus Housekeeping",
            "445101"=>"Housekeeping - Athletics",
            "445201"=>"Classroom Improvements-fin & B",
            "445401"=>"Sustainability",
            "445701"=>"Grounds Specialty",
            "445801"=>"CVM Housekeeping Services",
            "446201"=>"Construction Services",
            "446501"=>"Waste Reduction/Recycling",
            "446701"=>"Power Systems",
            "446801"=>"Grounds Turf",
            "447201"=>"Campus Mail Services",
            "447301"=>"Chancellors Res Repair & Renov",
            "447601"=>"Energy Management",
            "448001"=>"Bldg Maint & Oper-Centennial",
            "448901"=>"Bldg Maint & Oper-Cent Shops",
        ), "Business Operations"=> array(
            "450101"=>"Business Operations",
            "450201"=>"Onboarding Center",
        ), "Finance & Resource Management"=> array(
            "460101"=>"Finance & Resource Management",
            "462001"=>"Budget Office",
            "463001"=>"University Controller",
            "464001"=>"Office of Contracts And Grants",
            "466001"=>"Office of Cost Analysis",
        ), "Campus Enterprises"=> array(
            "470101"=>"Campus Enterprises",
            "470201"=>"Trademark Licensing",
            "470301"=>"Golf Course Maintenance",
            "471001"=>"NC State Bookstores",
            "471501"=>"Dining and Catering Operations",
            "474101"=>"All Campus Network Office",
            "477001"=>"Camp Enterprises Facilities Op",
        ), "Human Resources"=> array(
            "480101"=>"HR Administration",
            "480201"=>"HR Information Mgmt (HRIM)",
            "480401"=>"HR Employment",
            "480402"=>"HR Background Check",
            "480501"=>"University Temporary Services",
            "480502"=>"HR UTS/UNC Partnership",
            "480701"=>"HR Employee Relations",
            "480901"=>"HR - EPA Personnel",
            "481001"=>"HR Benefits",
            "482001"=>"HR Payroll",
            "485401"=>"HR Training & Org Dev",
        ), "Treasurer's Office"=> array(
            "490101"=>"Treasurer",
            "491501"=>"University Cashier's Office",
            "491502"=>"Student Accounts-NDSL TLC",
            "492001"=>"Foundations Accounting & Inves",
            "493101"=>"Materials Support",
            "493301"=>"WolfCopy",
            "493401"=>"Purchasing Department",
            "494201"=>"Real Estate Office",
        ), "Office of Info Technology-OIT"=> array(
            "510101"=>"VC for Off of Info Technology",
            "510501"=>"Business Services",
            "511001"=>"Security & Compliance",
            "512001"=>"Infrastructure, Systems & Opns",
            "513001"=>"Technology Support Services",
            "514001"=>"Outreach, Comm & Consulting",
            "515001"=>"Enterprise Application Svcs",
            "515002"=>"OIT EAS - Treasurer's Support",
            "516001"=>"Communication Technologies",
            "517001"=>"Advanced Computing",
            "517101"=>"Shared Services",
            "517501"=>"Ctr for Virtual Computing Lab",
            "518501"=>"Joint Enterprise Services",
        ), "Intrainstitutional Programs"=> array(
            "975201"=>"Human Resources-Staff Senate"
        )
    );

    protected $departments;
    protected $ous;

    public function __construct()
    {
        $this->ous = array_flip($this->units);

        foreach($this->departmentsByOrganizationalUnit as $orgunit => $depts) {
            foreach($depts as $ouc=>$dept) {
                $this->departments[$ouc]=$dept;
            }
        }
    }

    public function department($ouname=NULL)
    {
        $departments=$this->getDepartments($ouname);

        $k = array_rand($departments);

        return $departments[$k];
    }

    public function departmentOuc($ouname=NULL)
    {
        $departments = $this->getDepartments($ouname);

        $k = array_rand($departments);

        return $k;
    }

    public function unit($ouc=NULL)
    {
        if (array_key_exists($ouc, $this->units)) {
            return $this->units[$ouc];
        }

        $k = array_rand($this->units);

        return $this->units[$k];
    }

    public function unitOuc($ouname=NULL)
    {
        if (array_key_exists($ouname, $this->ous)) {
            return $this->ous[$ouname];
        }

        $k = array_rand($this->units);

        return $k;
    }

    protected function getDepartments($ouname=NULL)
    {
        $departments=array();
        if (array_key_exists($ouname, $this->departmentsByOrganizationalUnit)) {
            $departments = $this->departmentsByOrganizationalUnit[$ouname];
        }
        if (empty($departments)) {
            $departments = $this->departments;
        }
        return $departments;
    }
}
